/*
 * dma_linked_list.h



 *
 *  Created on: 10.12.2015
 *      Author: uacqk
 */

#ifndef DMA_LINKED_LIST_H_
#define DMA_LINKED_LIST_H_



#include "_Reg/IfxDma_regdef.h"
#include "Dma/Std/IfxDma.h"
#include "Dma/Dma/IfxDma_Dma.h"
#include "Cpu/Std/Platform_Types.h"
#include "Spi_interface.h"



void init_dma_linked_list(IfxDma_ChannelId ch_id, uint32 * src_addr, uint32 beacon_addr, uint32 data_enty_addr);
void set_hw_trigger_enable(IfxDma_ChannelId ch_id,boolean on);
void set_sw_request(IfxDma_ChannelId ch_id);


void init_dma_linked_list_read(IfxDma_ChannelId ch_id, qspi_dma_rx_stucture* rx_str , uint32 fifo_exit_addr);
void Qspi_SpiMaster_restart_chain(IfxQspi_SpiMaster_Channel *chHandle,IfxDma_ChannelId ch_id);
void init_dma_startup_linked_list(IfxDma_ChannelId ch_id) ;
#endif /* 0_SRC_0_APPSW_TRICORE_APPLICATION_DMA_LINKED_LIST_H_ */
