/*
 * inc_encoder.h

 *
 *  Created on: 11.01.2016
 *      Author: uacqk
 */

#ifndef INC_ENCODER_H_
#define INC_ENCODER_H_

#include "_Reg/IfxGpt12_reg.h"
#include "_Impl/IfxSrc_cfg.h"
#include "_PinMap/IfxGpt12_PinMap.h"
#include "Port/Std/IfxPort.h"
#include "Gpt12/IncrEnc/IfxGpt12_IncrEnc.h"

#define CFG_ENCODER_OFFSET 0
#define ENCODER_PULSE_PER_REVOLUTION 4096
#define CFG_M0_POLPAIR 9
#define INTERRUPT_ENCODER_GPT12 33
/** Configuration for GPT12-based encoder interface
 * \ingroup configuration_pos_sensor */

void init_encoder(IfxGpt12_IncrEnc *encoder);
sint32 get_inc_encoder_position(IfxGpt12_IncrEnc* gptEnc) ;
sint16 convert_to_electrical(sint32 position_mech, float32 elAngleConst);
float32 calc_elAngle_const(uint32 polePairs,sint32 resolution);
sint16 get_electrical(sint32 position_mech);




#endif /* 0_SRC_0_APPSW_TRICORE_APPLICATION_INC_ENCODER_H_ */
