/**
 * \file Generic.h
 * \brief Generic definition
 *
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 *
 * $Revision: $1351.4
 * $Date: $2013-07-12 16:20:31 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 *
 *
 */

#ifndef GENERIC_H
#define GENERIC_H

/** \brief input / output option definition. */
typedef enum
{
    If_IoOption_a = 0,                      /**< \brief  Output A */
    If_IoOption_b,                          /**< \brief  Output B */
    If_IoOption_c,                          /**< \brief  Output C */
    If_IoOption_d,                          /**< \brief  Output D */
    If_IoOption_e,                          /**< \brief  Output E */
    If_IoOption_f,                          /**< \brief  Output F */
    If_IoOption_none = -1,                  /**< \brief  No selection */
} If_IoOption;

#endif /* GENERIC_H */
