/**
 * \file IfxGtm_Mapping.h
 * \brief Mapping API
 *
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 *
 * $Revision: $1415.5
 * $Date: $2013-08-09 16:42:17 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 *
 */

#ifndef IFXGTMMAPPING_H
#define IFXGTMMAPPING_H

#include "Cpu/Std/Ifx_Types.h"
#include "Port/Std/IfxPort.h"
#include "_Impl/IfxGtm_cfg.h"

IFX_EXTERN boolean IfxGtm_Mapping_setPinModeOutput(Ifx_GTM *gtm, sint32 outputFeature, If_IoOption outputOption, IfxPort_OutputMode outputMode, IfxPort_PadDriver padDriver);

#endif /* IFXGTMMAPPING_H */
