/**
 * \file IfxGtm_PinMap.c
 * \brief GTM I/O map
 * \ingroup IfxLld_Gtm
 *
 * \copyright Copyright (c) 2013 Infineon Technologies AG. All rights reserved.
 *
 * $Revision: $1.1
 * $Date: $2013-08-07 08:57:36 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 */

#include "IfxGtm_PinMap.h"

IfxGtmAtom_ToutMap IfxGtm_ATOM0_0_TOUT0_P02_0 = {IfxGtmAtom_0, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 0, {&MODULE_P02, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_0_TOUT109_P10_7 = {IfxGtmAtom_0, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 109, {&MODULE_P10, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_0_TOUT48_P22_1 = {IfxGtmAtom_0, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 48, {&MODULE_P22, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_0_TOUT53_P21_2 = {IfxGtmAtom_0, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 53, {&MODULE_P21, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_0_TOUT85_P14_5 = {IfxGtmAtom_0, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 85, {&MODULE_P14, 5}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_0_TOUT8_P02_8 = {IfxGtmAtom_0, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 8, {&MODULE_P02, 8}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_0_TOUT9_P00_0 = {IfxGtmAtom_0, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 9, {&MODULE_P00, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_1_TOUT103_P10_1 = {IfxGtmAtom_0, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 103, {&MODULE_P10, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_1_TOUT10_P00_1 = {IfxGtmAtom_0, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 10, {&MODULE_P00, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_1_TOUT11_P00_2 = {IfxGtmAtom_0, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 11, {&MODULE_P00, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_1_TOUT1_P02_1 = {IfxGtmAtom_0, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 1, {&MODULE_P02, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_1_TOUT31_P33_9 = {IfxGtmAtom_0, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 31, {&MODULE_P33, 9}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_1_TOUT47_P22_0 = {IfxGtmAtom_0, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 47, {&MODULE_P22, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_1_TOUT54_P21_3 = {IfxGtmAtom_0, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 54, {&MODULE_P21, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_1_TOUT84_P14_4 = {IfxGtmAtom_0, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 84, {&MODULE_P14, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_2_TOUT104_P10_2 = {IfxGtmAtom_0, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 104, {&MODULE_P10, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_2_TOUT107_P10_5 = {IfxGtmAtom_0, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 107, {&MODULE_P10, 5}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_2_TOUT12_P00_3 = {IfxGtmAtom_0, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 12, {&MODULE_P00, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_2_TOUT2_P02_2 = {IfxGtmAtom_0, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 2, {&MODULE_P02, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_2_TOUT33_P33_11 = {IfxGtmAtom_0, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 33, {&MODULE_P33, 11}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_2_TOUT46_P23_5 = {IfxGtmAtom_0, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 46, {&MODULE_P23, 5}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_2_TOUT55_P21_4 = {IfxGtmAtom_0, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 55, {&MODULE_P21, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_2_TOUT83_P14_3 = {IfxGtmAtom_0, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 83, {&MODULE_P14, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_3_TOUT105_P10_3 = {IfxGtmAtom_0, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_d, 105, {&MODULE_P10, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_3_TOUT108_P10_6 = {IfxGtmAtom_0, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_d, 108, {&MODULE_P10, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_3_TOUT13_P00_4 = {IfxGtmAtom_0, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_c, 13, {&MODULE_P00, 4}, IfxPort_OutputIdx_alt1};
//IfxGtmAtom_ToutMap IfxGtm_ATOM0_3_TOUT38_P32_2 = {IfxGtmAtom_0, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_c, 38, {&MODULE_P32, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_3_TOUT3_P02_3 = {IfxGtmAtom_0, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_c, 3, {&MODULE_P02, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_3_TOUT49_P22_2 = {IfxGtmAtom_0, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_c, 49, {&MODULE_P22, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_3_TOUT56_P21_5 = {IfxGtmAtom_0, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_c, 56, {&MODULE_P21, 5}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_3_TOUT60_P20_1 = {IfxGtmAtom_0, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_c, 60, {&MODULE_P20, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_3_TOUT82_P14_2 = {IfxGtmAtom_0, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_c, 82, {&MODULE_P14, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_4_TOUT102_P10_0 = {IfxGtmAtom_0, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 102, {&MODULE_P10, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_4_TOUT14_P00_5 = {IfxGtmAtom_0, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 14, {&MODULE_P00, 5}, IfxPort_OutputIdx_alt1};
//IfxGtmAtom_ToutMap IfxGtm_ATOM0_4_TOUT39_P32_3 = {IfxGtmAtom_0, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 39, {&MODULE_P32, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_4_TOUT4_P02_4 = {IfxGtmAtom_0, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 4, {&MODULE_P02, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_4_TOUT50_P22_3 = {IfxGtmAtom_0, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 50, {&MODULE_P22, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_4_TOUT57_P21_6 = {IfxGtmAtom_0, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 57, {&MODULE_P21, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_4_TOUT61_P20_3 = {IfxGtmAtom_0, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 61, {&MODULE_P20, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_4_TOUT81_P14_1 = {IfxGtmAtom_0, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 81, {&MODULE_P14, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_5_TOUT110_P10_8 = {IfxGtmAtom_0, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_d, 110, {&MODULE_P10, 8}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_5_TOUT15_P00_6 = {IfxGtmAtom_0, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_c, 15, {&MODULE_P00, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_5_TOUT23_P33_1 = {IfxGtmAtom_0, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_c, 23, {&MODULE_P33, 1}, IfxPort_OutputIdx_alt1};
//IfxGtmAtom_ToutMap IfxGtm_ATOM0_5_TOUT40_P32_4 = {IfxGtmAtom_0, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_c, 40, {&MODULE_P32, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_5_TOUT41_P23_0 = {IfxGtmAtom_0, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_c, 41, {&MODULE_P23, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_5_TOUT58_P21_7 = {IfxGtmAtom_0, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_c, 58, {&MODULE_P21, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_5_TOUT5_P02_5 = {IfxGtmAtom_0, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_c, 5, {&MODULE_P02, 5}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_6_TOUT106_P10_4 = {IfxGtmAtom_0, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_c, 106, {&MODULE_P10, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_6_TOUT16_P00_7 = {IfxGtmAtom_0, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_c, 16, {&MODULE_P00, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_6_TOUT24_P33_2 = {IfxGtmAtom_0, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_c, 24, {&MODULE_P33, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_6_TOUT42_P23_1 = {IfxGtmAtom_0, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_c, 42, {&MODULE_P23, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_6_TOUT59_P20_0 = {IfxGtmAtom_0, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_c, 59, {&MODULE_P20, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_6_TOUT6_P02_6 = {IfxGtmAtom_0, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_c, 6, {&MODULE_P02, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_7_TOUT17_P00_8 = {IfxGtmAtom_0, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_c, 17, {&MODULE_P00, 8}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_7_TOUT25_P33_3 = {IfxGtmAtom_0, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_c, 25, {&MODULE_P33, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_7_TOUT45_P23_4 = {IfxGtmAtom_0, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_c, 45, {&MODULE_P23, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_7_TOUT64_P20_8 = {IfxGtmAtom_0, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_c, 64, {&MODULE_P20, 8}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM0_7_TOUT7_P02_7 = {IfxGtmAtom_0, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_c, 7, {&MODULE_P02, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_0_TOUT0_P02_0 = {IfxGtmAtom_1, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 0, {&MODULE_P02, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_0_TOUT109_P10_7 = {IfxGtmAtom_1, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 109, {&MODULE_P10, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_0_TOUT48_P22_1 = {IfxGtmAtom_1, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 48, {&MODULE_P22, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_0_TOUT53_P21_2 = {IfxGtmAtom_1, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 53, {&MODULE_P21, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_0_TOUT68_P20_12 = {IfxGtmAtom_1, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 68, {&MODULE_P20, 12}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_0_TOUT76_P15_5 = {IfxGtmAtom_1, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 76, {&MODULE_P15, 5}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_0_TOUT77_P15_6 = {IfxGtmAtom_1, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 77, {&MODULE_P15, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_0_TOUT87_P14_7 = {IfxGtmAtom_1, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 87, {&MODULE_P14, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_0_TOUT8_P02_8 = {IfxGtmAtom_1, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 8, {&MODULE_P02, 8}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_0_TOUT9_P00_0 = {IfxGtmAtom_1, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 9, {&MODULE_P00, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_1_TOUT103_P10_1 = {IfxGtmAtom_1, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 103, {&MODULE_P10, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_1_TOUT10_P00_1 = {IfxGtmAtom_1, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 10, {&MODULE_P00, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_1_TOUT11_P00_2 = {IfxGtmAtom_1, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 11, {&MODULE_P00, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_1_TOUT1_P02_1 = {IfxGtmAtom_1, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 1, {&MODULE_P02, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_1_TOUT31_P33_9 = {IfxGtmAtom_1, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 31, {&MODULE_P33, 9}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_1_TOUT47_P22_0 = {IfxGtmAtom_1, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 47, {&MODULE_P22, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_1_TOUT54_P21_3 = {IfxGtmAtom_1, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 54, {&MODULE_P21, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_1_TOUT69_P20_13 = {IfxGtmAtom_1, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 69, {&MODULE_P20, 13}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_1_TOUT78_P15_7 = {IfxGtmAtom_1, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 78, {&MODULE_P15, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_1_TOUT79_P15_8 = {IfxGtmAtom_1, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 79, {&MODULE_P15, 8}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_1_TOUT86_P14_6 = {IfxGtmAtom_1, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 86, {&MODULE_P14, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_2_TOUT104_P10_2 = {IfxGtmAtom_1, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 104, {&MODULE_P10, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_2_TOUT107_P10_5 = {IfxGtmAtom_1, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 107, {&MODULE_P10, 5}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_2_TOUT12_P00_3 = {IfxGtmAtom_1, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 12, {&MODULE_P00, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_2_TOUT2_P02_2 = {IfxGtmAtom_1, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 2, {&MODULE_P02, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_2_TOUT33_P33_11 = {IfxGtmAtom_1, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 33, {&MODULE_P33, 11}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_2_TOUT46_P23_5 = {IfxGtmAtom_1, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 46, {&MODULE_P23, 5}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_2_TOUT55_P21_4 = {IfxGtmAtom_1, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 55, {&MODULE_P21, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_2_TOUT70_P20_14 = {IfxGtmAtom_1, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 70, {&MODULE_P20, 14}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_2_TOUT80_P14_0 = {IfxGtmAtom_1, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 80, {&MODULE_P14, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_3_TOUT105_P10_3 = {IfxGtmAtom_1, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_c, 105, {&MODULE_P10, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_3_TOUT108_P10_6 = {IfxGtmAtom_1, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_c, 108, {&MODULE_P10, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_3_TOUT13_P00_4 = {IfxGtmAtom_1, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_d, 13, {&MODULE_P00, 4}, IfxPort_OutputIdx_alt1};
//IfxGtmAtom_ToutMap IfxGtm_ATOM1_3_TOUT38_P32_2 = {IfxGtmAtom_1, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_d, 38, {&MODULE_P32, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_3_TOUT3_P02_3 = {IfxGtmAtom_1, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_d, 3, {&MODULE_P02, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_3_TOUT49_P22_2 = {IfxGtmAtom_1, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_d, 49, {&MODULE_P22, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_3_TOUT56_P21_5 = {IfxGtmAtom_1, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_d, 56, {&MODULE_P21, 5}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_3_TOUT60_P20_1 = {IfxGtmAtom_1, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_d, 60, {&MODULE_P20, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_3_TOUT71_P15_0 = {IfxGtmAtom_1, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_c, 71, {&MODULE_P15, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_4_TOUT102_P10_0 = {IfxGtmAtom_1, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 102, {&MODULE_P10, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_4_TOUT14_P00_5 = {IfxGtmAtom_1, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 14, {&MODULE_P00, 5}, IfxPort_OutputIdx_alt1};
//IfxGtmAtom_ToutMap IfxGtm_ATOM1_4_TOUT39_P32_3 = {IfxGtmAtom_1, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 39, {&MODULE_P32, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_4_TOUT4_P02_4 = {IfxGtmAtom_1, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 4, {&MODULE_P02, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_4_TOUT50_P22_3 = {IfxGtmAtom_1, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 50, {&MODULE_P22, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_4_TOUT57_P21_6 = {IfxGtmAtom_1, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 57, {&MODULE_P21, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_4_TOUT61_P20_3 = {IfxGtmAtom_1, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 61, {&MODULE_P20, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_4_TOUT72_P15_1 = {IfxGtmAtom_1, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 72, {&MODULE_P15, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_5_TOUT110_P10_8 = {IfxGtmAtom_1, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_c, 110, {&MODULE_P10, 8}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_5_TOUT15_P00_6 = {IfxGtmAtom_1, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_d, 15, {&MODULE_P00, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_5_TOUT23_P33_1 = {IfxGtmAtom_1, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_d, 23, {&MODULE_P33, 1}, IfxPort_OutputIdx_alt1};
//IfxGtmAtom_ToutMap IfxGtm_ATOM1_5_TOUT40_P32_4 = {IfxGtmAtom_1, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_d, 40, {&MODULE_P32, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_5_TOUT41_P23_0 = {IfxGtmAtom_1, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_d, 41, {&MODULE_P23, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_5_TOUT58_P21_7 = {IfxGtmAtom_1, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_d, 58, {&MODULE_P21, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_5_TOUT5_P02_5 = {IfxGtmAtom_1, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_d, 5, {&MODULE_P02, 5}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_5_TOUT65_P20_9 = {IfxGtmAtom_1, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_c, 65, {&MODULE_P20, 9}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_5_TOUT73_P15_2 = {IfxGtmAtom_1, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_c, 73, {&MODULE_P15, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_6_TOUT106_P10_4 = {IfxGtmAtom_1, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_d, 106, {&MODULE_P10, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_6_TOUT16_P00_7 = {IfxGtmAtom_1, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_d, 16, {&MODULE_P00, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_6_TOUT24_P33_2 = {IfxGtmAtom_1, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_d, 24, {&MODULE_P33, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_6_TOUT42_P23_1 = {IfxGtmAtom_1, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_d, 42, {&MODULE_P23, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_6_TOUT59_P20_0 = {IfxGtmAtom_1, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_d, 59, {&MODULE_P20, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_6_TOUT66_P20_10 = {IfxGtmAtom_1, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_c, 66, {&MODULE_P20, 10}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_6_TOUT6_P02_6 = {IfxGtmAtom_1, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_d, 6, {&MODULE_P02, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_6_TOUT74_P15_3 = {IfxGtmAtom_1, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_c, 74, {&MODULE_P15, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_7_TOUT17_P00_8 = {IfxGtmAtom_1, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_d, 17, {&MODULE_P00, 8}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_7_TOUT25_P33_3 = {IfxGtmAtom_1, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_d, 25, {&MODULE_P33, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_7_TOUT45_P23_4 = {IfxGtmAtom_1, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_d, 45, {&MODULE_P23, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_7_TOUT67_P20_11 = {IfxGtmAtom_1, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_c, 67, {&MODULE_P20, 11}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_7_TOUT75_P15_4 = {IfxGtmAtom_1, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_c, 75, {&MODULE_P15, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM1_7_TOUT7_P02_7 = {IfxGtmAtom_1, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_d, 7, {&MODULE_P02, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_0_TOUT18_P00_9 = {IfxGtmAtom_2, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 18, {&MODULE_P00, 9}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_0_TOUT26_P33_4 = {IfxGtmAtom_2, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 26, {&MODULE_P33, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_0_TOUT32_P33_10 = {IfxGtmAtom_2, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 32, {&MODULE_P33, 10}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_0_TOUT68_P20_12 = {IfxGtmAtom_2, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 68, {&MODULE_P20, 12}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_0_TOUT94_P13_3 = {IfxGtmAtom_2, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_c, 94, {&MODULE_P13, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_1_TOUT19_P00_10 = {IfxGtmAtom_2, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 19, {&MODULE_P00, 10}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_1_TOUT27_P33_5 = {IfxGtmAtom_2, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 27, {&MODULE_P33, 5}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_1_TOUT43_P23_2 = {IfxGtmAtom_2, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 43, {&MODULE_P23, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_1_TOUT69_P20_13 = {IfxGtmAtom_2, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 69, {&MODULE_P20, 13}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_1_TOUT95_P11_2 = {IfxGtmAtom_2, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_c, 95, {&MODULE_P11, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_2_TOUT20_P00_11 = {IfxGtmAtom_2, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 20, {&MODULE_P00, 11}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_2_TOUT28_P33_6 = {IfxGtmAtom_2, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 28, {&MODULE_P33, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_2_TOUT44_P23_3 = {IfxGtmAtom_2, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 44, {&MODULE_P23, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_2_TOUT70_P20_14 = {IfxGtmAtom_2, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 70, {&MODULE_P20, 14}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_2_TOUT88_P14_8 = {IfxGtmAtom_2, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 88, {&MODULE_P14, 8}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_2_TOUT96_P11_3 = {IfxGtmAtom_2, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_c, 96, {&MODULE_P11, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_3_TOUT21_P00_12 = {IfxGtmAtom_2, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_c, 21, {&MODULE_P00, 12}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_3_TOUT29_P33_7 = {IfxGtmAtom_2, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_c, 29, {&MODULE_P33, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_3_TOUT71_P15_0 = {IfxGtmAtom_2, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_d, 71, {&MODULE_P15, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_3_TOUT89_P14_9 = {IfxGtmAtom_2, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_c, 89, {&MODULE_P14, 9}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_3_TOUT97_P11_6 = {IfxGtmAtom_2, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_c, 97, {&MODULE_P11, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_4_TOUT22_P33_0 = {IfxGtmAtom_2, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 22, {&MODULE_P33, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_4_TOUT30_P33_8 = {IfxGtmAtom_2, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 30, {&MODULE_P33, 8}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_4_TOUT34_P33_12 = {IfxGtmAtom_2, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 34, {&MODULE_P33, 12}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_4_TOUT51_P21_0 = {IfxGtmAtom_2, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 51, {&MODULE_P21, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_4_TOUT72_P15_1 = {IfxGtmAtom_2, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 72, {&MODULE_P15, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_4_TOUT90_P14_10 = {IfxGtmAtom_2, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 90, {&MODULE_P14, 10}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_4_TOUT98_P11_9 = {IfxGtmAtom_2, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_c, 98, {&MODULE_P11, 9}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_5_TOUT35_P33_13 = {IfxGtmAtom_2, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_c, 35, {&MODULE_P33, 13}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_5_TOUT52_P21_1 = {IfxGtmAtom_2, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_c, 52, {&MODULE_P21, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_5_TOUT65_P20_9 = {IfxGtmAtom_2, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_d, 65, {&MODULE_P20, 9}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_5_TOUT73_P15_2 = {IfxGtmAtom_2, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_d, 73, {&MODULE_P15, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_5_TOUT91_P13_0 = {IfxGtmAtom_2, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_c, 91, {&MODULE_P13, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_5_TOUT99_P11_10 = {IfxGtmAtom_2, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_c, 99, {&MODULE_P11, 10}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_6_TOUT100_P11_11 = {IfxGtmAtom_2, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_c, 100, {&MODULE_P11, 11}, IfxPort_OutputIdx_alt1};
//IfxGtmAtom_ToutMap IfxGtm_ATOM2_6_TOUT36_P32_0 = {IfxGtmAtom_2, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_c, 36, {&MODULE_P32, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_6_TOUT62_P20_6 = {IfxGtmAtom_2, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_c, 62, {&MODULE_P20, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_6_TOUT66_P20_10 = {IfxGtmAtom_2, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_d, 66, {&MODULE_P20, 10}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_6_TOUT74_P15_3 = {IfxGtmAtom_2, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_d, 74, {&MODULE_P15, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_6_TOUT92_P13_1 = {IfxGtmAtom_2, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_c, 92, {&MODULE_P13, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_7_TOUT101_P11_12 = {IfxGtmAtom_2, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_c, 101, {&MODULE_P11, 12}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_7_TOUT63_P20_7 = {IfxGtmAtom_2, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_c, 63, {&MODULE_P20, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_7_TOUT64_P20_8 = {IfxGtmAtom_2, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_d, 64, {&MODULE_P20, 8}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_7_TOUT67_P20_11 = {IfxGtmAtom_2, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_d, 67, {&MODULE_P20, 11}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_7_TOUT75_P15_4 = {IfxGtmAtom_2, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_d, 75, {&MODULE_P15, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM2_7_TOUT93_P13_2 = {IfxGtmAtom_2, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_c, 93, {&MODULE_P13, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_0_TOUT18_P00_9 = {IfxGtmAtom_3, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 18, {&MODULE_P00, 9}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_0_TOUT26_P33_4 = {IfxGtmAtom_3, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 26, {&MODULE_P33, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_0_TOUT32_P33_10 = {IfxGtmAtom_3, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 32, {&MODULE_P33, 10}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_0_TOUT76_P15_5 = {IfxGtmAtom_3, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 76, {&MODULE_P15, 5}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_0_TOUT77_P15_6 = {IfxGtmAtom_3, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 77, {&MODULE_P15, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_0_TOUT85_P14_5 = {IfxGtmAtom_3, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 85, {&MODULE_P14, 5}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_0_TOUT87_P14_7 = {IfxGtmAtom_3, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 87, {&MODULE_P14, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_0_TOUT94_P13_3 = {IfxGtmAtom_3, IfxGtmAtom_Ch_0, IfxGtm_ToutSel_d, 94, {&MODULE_P13, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_1_TOUT19_P00_10 = {IfxGtmAtom_3, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 19, {&MODULE_P00, 10}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_1_TOUT27_P33_5 = {IfxGtmAtom_3, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 27, {&MODULE_P33, 5}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_1_TOUT43_P23_2 = {IfxGtmAtom_3, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 43, {&MODULE_P23, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_1_TOUT78_P15_7 = {IfxGtmAtom_3, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 78, {&MODULE_P15, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_1_TOUT79_P15_8 = {IfxGtmAtom_3, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 79, {&MODULE_P15, 8}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_1_TOUT84_P14_4 = {IfxGtmAtom_3, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 84, {&MODULE_P14, 4}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_1_TOUT86_P14_6 = {IfxGtmAtom_3, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 86, {&MODULE_P14, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_1_TOUT95_P11_2 = {IfxGtmAtom_3, IfxGtmAtom_Ch_1, IfxGtm_ToutSel_d, 95, {&MODULE_P11, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_2_TOUT20_P00_11 = {IfxGtmAtom_3, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 20, {&MODULE_P00, 11}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_2_TOUT28_P33_6 = {IfxGtmAtom_3, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 28, {&MODULE_P33, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_2_TOUT44_P23_3 = {IfxGtmAtom_3, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 44, {&MODULE_P23, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_2_TOUT80_P14_0 = {IfxGtmAtom_3, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 80, {&MODULE_P14, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_2_TOUT83_P14_3 = {IfxGtmAtom_3, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 83, {&MODULE_P14, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_2_TOUT88_P14_8 = {IfxGtmAtom_3, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 88, {&MODULE_P14, 8}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_2_TOUT96_P11_3 = {IfxGtmAtom_3, IfxGtmAtom_Ch_2, IfxGtm_ToutSel_d, 96, {&MODULE_P11, 3}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_3_TOUT21_P00_12 = {IfxGtmAtom_3, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_d, 21, {&MODULE_P00, 12}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_3_TOUT29_P33_7 = {IfxGtmAtom_3, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_d, 29, {&MODULE_P33, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_3_TOUT82_P14_2 = {IfxGtmAtom_3, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_d, 82, {&MODULE_P14, 2}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_3_TOUT89_P14_9 = {IfxGtmAtom_3, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_d, 89, {&MODULE_P14, 9}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_3_TOUT97_P11_6 = {IfxGtmAtom_3, IfxGtmAtom_Ch_3, IfxGtm_ToutSel_d, 97, {&MODULE_P11, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_4_TOUT22_P33_0 = {IfxGtmAtom_3, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 22, {&MODULE_P33, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_4_TOUT30_P33_8 = {IfxGtmAtom_3, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 30, {&MODULE_P33, 8}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_4_TOUT34_P33_12 = {IfxGtmAtom_3, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 34, {&MODULE_P33, 12}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_4_TOUT51_P21_0 = {IfxGtmAtom_3, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 51, {&MODULE_P21, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_4_TOUT81_P14_1 = {IfxGtmAtom_3, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 81, {&MODULE_P14, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_4_TOUT90_P14_10 = {IfxGtmAtom_3, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 90, {&MODULE_P14, 10}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_4_TOUT98_P11_9 = {IfxGtmAtom_3, IfxGtmAtom_Ch_4, IfxGtm_ToutSel_d, 98, {&MODULE_P11, 9}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_5_TOUT35_P33_13 = {IfxGtmAtom_3, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_d, 35, {&MODULE_P33, 13}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_5_TOUT52_P21_1 = {IfxGtmAtom_3, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_d, 52, {&MODULE_P21, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_5_TOUT91_P13_0 = {IfxGtmAtom_3, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_d, 91, {&MODULE_P13, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_5_TOUT99_P11_10 = {IfxGtmAtom_3, IfxGtmAtom_Ch_5, IfxGtm_ToutSel_d, 99, {&MODULE_P11, 10}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_6_TOUT100_P11_11 = {IfxGtmAtom_3, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_d, 100, {&MODULE_P11, 11}, IfxPort_OutputIdx_alt1};
//IfxGtmAtom_ToutMap IfxGtm_ATOM3_6_TOUT36_P32_0 = {IfxGtmAtom_3, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_d, 36, {&MODULE_P32, 0}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_6_TOUT62_P20_6 = {IfxGtmAtom_3, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_d, 62, {&MODULE_P20, 6}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_6_TOUT92_P13_1 = {IfxGtmAtom_3, IfxGtmAtom_Ch_6, IfxGtm_ToutSel_d, 92, {&MODULE_P13, 1}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_7_TOUT101_P11_12 = {IfxGtmAtom_3, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_d, 101, {&MODULE_P11, 12}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_7_TOUT63_P20_7 = {IfxGtmAtom_3, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_d, 63, {&MODULE_P20, 7}, IfxPort_OutputIdx_alt1};
IfxGtmAtom_ToutMap IfxGtm_ATOM3_7_TOUT93_P13_2 = {IfxGtmAtom_3, IfxGtmAtom_Ch_7, IfxGtm_ToutSel_d, 93, {&MODULE_P13, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTim_TinMap   IfxGtm_TIM0_0_TIN0_P02_0_IN = {IfxGtmTim_0, IfxGtmTim_Ch_0, {&MODULE_P02, 0}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM0_0_TIN109_P10_7_IN = {IfxGtmTim_0, IfxGtmTim_Ch_0, {&MODULE_P10, 7}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM0_0_TIN18_P00_9_IN = {IfxGtmTim_0, IfxGtmTim_Ch_0, {&MODULE_P00, 9}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM0_0_TIN26_P33_4_IN = {IfxGtmTim_0, IfxGtmTim_Ch_0, {&MODULE_P33, 4}, 10};
IfxGtmTim_TinMap   IfxGtm_TIM0_0_TIN32_P33_10_IN = {IfxGtmTim_0, IfxGtmTim_Ch_0, {&MODULE_P33, 10}, 9};
IfxGtmTim_TinMap   IfxGtm_TIM0_0_TIN34_P33_12_IN = {IfxGtmTim_0, IfxGtmTim_Ch_0, {&MODULE_P33, 12}, 12};
IfxGtmTim_TinMap   IfxGtm_TIM0_0_TIN48_P22_1_IN = {IfxGtmTim_0, IfxGtmTim_Ch_0, {&MODULE_P22, 1}, 8};
IfxGtmTim_TinMap   IfxGtm_TIM0_0_TIN53_P21_2_IN = {IfxGtmTim_0, IfxGtmTim_Ch_0, {&MODULE_P21, 2}, 7};
IfxGtmTim_TinMap   IfxGtm_TIM0_0_TIN77_P15_6_IN = {IfxGtmTim_0, IfxGtmTim_Ch_0, {&MODULE_P15, 6}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM0_0_TIN85_P14_5_IN = {IfxGtmTim_0, IfxGtmTim_Ch_0, {&MODULE_P14, 5}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM0_0_TIN87_P14_7_IN = {IfxGtmTim_0, IfxGtmTim_Ch_0, {&MODULE_P14, 7}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM0_0_TIN8_P02_8_IN = {IfxGtmTim_0, IfxGtmTim_Ch_0, {&MODULE_P02, 8}, 11};
IfxGtmTim_TinMap   IfxGtm_TIM0_0_TIN9_P00_0_IN = {IfxGtmTim_0, IfxGtmTim_Ch_0, {&MODULE_P00, 0}, 13};
IfxGtmTim_TinMap   IfxGtm_TIM0_1_TIN103_P10_1_IN = {IfxGtmTim_0, IfxGtmTim_Ch_1, {&MODULE_P10, 1}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM0_1_TIN10_P00_1_IN = {IfxGtmTim_0, IfxGtmTim_Ch_1, {&MODULE_P00, 1}, 10};
IfxGtmTim_TinMap   IfxGtm_TIM0_1_TIN11_P00_2_IN = {IfxGtmTim_0, IfxGtmTim_Ch_1, {&MODULE_P00, 2}, 11};
IfxGtmTim_TinMap   IfxGtm_TIM0_1_TIN19_P00_10_IN = {IfxGtmTim_0, IfxGtmTim_Ch_1, {&MODULE_P00, 10}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM0_1_TIN1_P02_1_IN = {IfxGtmTim_0, IfxGtmTim_Ch_1, {&MODULE_P02, 1}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM0_1_TIN27_P33_5_IN = {IfxGtmTim_0, IfxGtmTim_Ch_1, {&MODULE_P33, 5}, 8};
IfxGtmTim_TinMap   IfxGtm_TIM0_1_TIN31_P33_9_IN = {IfxGtmTim_0, IfxGtmTim_Ch_1, {&MODULE_P33, 9}, 9};
IfxGtmTim_TinMap   IfxGtm_TIM0_1_TIN35_P33_13_IN = {IfxGtmTim_0, IfxGtmTim_Ch_1, {&MODULE_P33, 13}, 12};
IfxGtmTim_TinMap   IfxGtm_TIM0_1_TIN47_P22_0_IN = {IfxGtmTim_0, IfxGtmTim_Ch_1, {&MODULE_P22, 0}, 7};
IfxGtmTim_TinMap   IfxGtm_TIM0_1_TIN54_P21_3_IN = {IfxGtmTim_0, IfxGtmTim_Ch_1, {&MODULE_P21, 3}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM0_1_TIN78_P15_7_IN = {IfxGtmTim_0, IfxGtmTim_Ch_1, {&MODULE_P15, 7}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM0_1_TIN86_P14_6_IN = {IfxGtmTim_0, IfxGtmTim_Ch_1, {&MODULE_P14, 6}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM0_2_TIN104_P10_2_IN = {IfxGtmTim_0, IfxGtmTim_Ch_2, {&MODULE_P10, 2}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM0_2_TIN107_P10_5_IN = {IfxGtmTim_0, IfxGtmTim_Ch_2, {&MODULE_P10, 5}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM0_2_TIN20_P00_11_IN = {IfxGtmTim_0, IfxGtmTim_Ch_2, {&MODULE_P00, 11}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM0_2_TIN28_P33_6_IN = {IfxGtmTim_0, IfxGtmTim_Ch_2, {&MODULE_P33, 6}, 9};
IfxGtmTim_TinMap   IfxGtm_TIM0_2_TIN2_P02_2_IN = {IfxGtmTim_0, IfxGtmTim_Ch_2, {&MODULE_P02, 2}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM0_2_TIN33_P33_11_IN = {IfxGtmTim_0, IfxGtmTim_Ch_2, {&MODULE_P33, 11}, 8};
//IfxGtmTim_TinMap   IfxGtm_TIM0_2_TIN36_P32_0_IN = {IfxGtmTim_0, IfxGtmTim_Ch_2, {&MODULE_P32, 0}, 11};
IfxGtmTim_TinMap   IfxGtm_TIM0_2_TIN46_P23_5_IN = {IfxGtmTim_0, IfxGtmTim_Ch_2, {&MODULE_P23, 5}, 7};
IfxGtmTim_TinMap   IfxGtm_TIM0_2_TIN55_P21_4_IN = {IfxGtmTim_0, IfxGtmTim_Ch_2, {&MODULE_P21, 4}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM0_2_TIN79_P15_8_IN = {IfxGtmTim_0, IfxGtmTim_Ch_2, {&MODULE_P15, 8}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM0_3_TIN105_P10_3_IN = {IfxGtmTim_0, IfxGtmTim_Ch_3, {&MODULE_P10, 3}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM0_3_TIN108_P10_6_IN = {IfxGtmTim_0, IfxGtmTim_Ch_3, {&MODULE_P10, 6}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM0_3_TIN21_P00_12_IN = {IfxGtmTim_0, IfxGtmTim_Ch_3, {&MODULE_P00, 12}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM0_3_TIN29_P33_7_IN = {IfxGtmTim_0, IfxGtmTim_Ch_3, {&MODULE_P33, 7}, 9};
//IfxGtmTim_TinMap   IfxGtm_TIM0_3_TIN38_P32_2_IN = {IfxGtmTim_0, IfxGtmTim_Ch_3, {&MODULE_P32, 2}, 8};
IfxGtmTim_TinMap   IfxGtm_TIM0_3_TIN3_P02_3_IN = {IfxGtmTim_0, IfxGtmTim_Ch_3, {&MODULE_P02, 3}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM0_3_TIN49_P22_2_IN = {IfxGtmTim_0, IfxGtmTim_Ch_3, {&MODULE_P22, 2}, 7};
IfxGtmTim_TinMap   IfxGtm_TIM0_3_TIN51_P21_0_IN = {IfxGtmTim_0, IfxGtmTim_Ch_3, {&MODULE_P21, 0}, 11};
IfxGtmTim_TinMap   IfxGtm_TIM0_3_TIN56_P21_5_IN = {IfxGtmTim_0, IfxGtmTim_Ch_3, {&MODULE_P21, 5}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM0_3_TIN60_P20_1_IN = {IfxGtmTim_0, IfxGtmTim_Ch_3, {&MODULE_P20, 1}, 10};
IfxGtmTim_TinMap   IfxGtm_TIM0_3_TIN80_P14_0_IN = {IfxGtmTim_0, IfxGtmTim_Ch_3, {&MODULE_P14, 0}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM0_4_TIN102_P10_0_IN = {IfxGtmTim_0, IfxGtmTim_Ch_4, {&MODULE_P10, 0}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM0_4_TIN22_P33_0_IN = {IfxGtmTim_0, IfxGtmTim_Ch_4, {&MODULE_P33, 0}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM0_4_TIN30_P33_8_IN = {IfxGtmTim_0, IfxGtmTim_Ch_4, {&MODULE_P33, 8}, 7};
//IfxGtmTim_TinMap   IfxGtm_TIM0_4_TIN39_P32_3_IN = {IfxGtmTim_0, IfxGtmTim_Ch_4, {&MODULE_P32, 3}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM0_4_TIN4_P02_4_IN = {IfxGtmTim_0, IfxGtmTim_Ch_4, {&MODULE_P02, 4}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM0_4_TIN50_P22_3_IN = {IfxGtmTim_0, IfxGtmTim_Ch_4, {&MODULE_P22, 3}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM0_4_TIN52_P21_1_IN = {IfxGtmTim_0, IfxGtmTim_Ch_4, {&MODULE_P21, 1}, 10};
IfxGtmTim_TinMap   IfxGtm_TIM0_4_TIN57_P21_6_IN = {IfxGtmTim_0, IfxGtmTim_Ch_4, {&MODULE_P21, 6}, 8};
IfxGtmTim_TinMap   IfxGtm_TIM0_4_TIN61_P20_3_IN = {IfxGtmTim_0, IfxGtmTim_Ch_4, {&MODULE_P20, 3}, 9};
IfxGtmTim_TinMap   IfxGtm_TIM0_4_TIN81_P14_1_IN = {IfxGtmTim_0, IfxGtmTim_Ch_4, {&MODULE_P14, 1}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM0_5_TIN110_P10_8_IN = {IfxGtmTim_0, IfxGtmTim_Ch_5, {&MODULE_P10, 8}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM0_5_TIN23_P33_1_IN = {IfxGtmTim_0, IfxGtmTim_Ch_5, {&MODULE_P33, 1}, 6};
//IfxGtmTim_TinMap   IfxGtm_TIM0_5_TIN40_P32_4_IN = {IfxGtmTim_0, IfxGtmTim_Ch_5, {&MODULE_P32, 4}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM0_5_TIN41_P23_0_IN = {IfxGtmTim_0, IfxGtmTim_Ch_5, {&MODULE_P23, 0}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM0_5_TIN58_P21_7_IN = {IfxGtmTim_0, IfxGtmTim_Ch_5, {&MODULE_P21, 7}, 7};
IfxGtmTim_TinMap   IfxGtm_TIM0_5_TIN5_P02_5_IN = {IfxGtmTim_0, IfxGtmTim_Ch_5, {&MODULE_P02, 5}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM0_5_TIN82_P14_2_IN = {IfxGtmTim_0, IfxGtmTim_Ch_5, {&MODULE_P14, 2}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM0_6_TIN106_P10_4_IN = {IfxGtmTim_0, IfxGtmTim_Ch_6, {&MODULE_P10, 4}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM0_6_TIN24_P33_2_IN = {IfxGtmTim_0, IfxGtmTim_Ch_6, {&MODULE_P33, 2}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM0_6_TIN42_P23_1_IN = {IfxGtmTim_0, IfxGtmTim_Ch_6, {&MODULE_P23, 1}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM0_6_TIN43_P23_2_IN = {IfxGtmTim_0, IfxGtmTim_Ch_6, {&MODULE_P23, 2}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM0_6_TIN59_P20_0_IN = {IfxGtmTim_0, IfxGtmTim_Ch_6, {&MODULE_P20, 0}, 7};
IfxGtmTim_TinMap   IfxGtm_TIM0_6_TIN62_P20_6_IN = {IfxGtmTim_0, IfxGtmTim_Ch_6, {&MODULE_P20, 6}, 2};
//FIXME//IfxGtmTim_TinMap IfxGtm_TIM0_6_TIN62_P20_6_IN = {IfxGtmTim_0, IfxGtmTim_Ch_6, {&MODULE_P20, 6}, 9};
IfxGtmTim_TinMap   IfxGtm_TIM0_6_TIN83_P14_3_IN = {IfxGtmTim_0, IfxGtmTim_Ch_6, {&MODULE_P14, 3}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM0_7_TIN25_P33_3_IN = {IfxGtmTim_0, IfxGtmTim_Ch_7, {&MODULE_P33, 3}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM0_7_TIN44_P23_3_IN = {IfxGtmTim_0, IfxGtmTim_Ch_7, {&MODULE_P23, 3}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM0_7_TIN45_P23_4_IN = {IfxGtmTim_0, IfxGtmTim_Ch_7, {&MODULE_P23, 4}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM0_7_TIN63_P20_7_IN = {IfxGtmTim_0, IfxGtmTim_Ch_7, {&MODULE_P20, 7}, 7};
IfxGtmTim_TinMap   IfxGtm_TIM0_7_TIN64_P20_8_IN = {IfxGtmTim_0, IfxGtmTim_Ch_7, {&MODULE_P20, 8}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM0_7_TIN7_P02_7_IN = {IfxGtmTim_0, IfxGtmTim_Ch_7, {&MODULE_P02, 7}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM0_7_TIN84_P14_4_IN = {IfxGtmTim_0, IfxGtmTim_Ch_7, {&MODULE_P14, 4}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM1_0_TIN0_P02_0_IN = {IfxGtmTim_1, IfxGtmTim_Ch_0, {&MODULE_P02, 0}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM1_0_TIN109_P10_7_IN = {IfxGtmTim_1, IfxGtmTim_Ch_0, {&MODULE_P10, 7}, 14};
IfxGtmTim_TinMap   IfxGtm_TIM1_0_TIN18_P00_9_IN = {IfxGtmTim_1, IfxGtmTim_Ch_0, {&MODULE_P00, 9}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM1_0_TIN26_P33_4_IN = {IfxGtmTim_1, IfxGtmTim_Ch_0, {&MODULE_P33, 4}, 10};
IfxGtmTim_TinMap   IfxGtm_TIM1_0_TIN32_P33_10_IN = {IfxGtmTim_1, IfxGtmTim_Ch_0, {&MODULE_P33, 10}, 9};
IfxGtmTim_TinMap   IfxGtm_TIM1_0_TIN48_P22_1_IN = {IfxGtmTim_1, IfxGtmTim_Ch_0, {&MODULE_P22, 1}, 8};
IfxGtmTim_TinMap   IfxGtm_TIM1_0_TIN53_P21_2_IN = {IfxGtmTim_1, IfxGtmTim_Ch_0, {&MODULE_P21, 2}, 7};
IfxGtmTim_TinMap   IfxGtm_TIM1_0_TIN68_P20_12_IN = {IfxGtmTim_1, IfxGtmTim_Ch_0, {&MODULE_P20, 12}, 15};
IfxGtmTim_TinMap   IfxGtm_TIM1_0_TIN76_P15_5_IN = {IfxGtmTim_1, IfxGtmTim_Ch_0, {&MODULE_P15, 5}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM1_0_TIN77_P15_6_IN = {IfxGtmTim_1, IfxGtmTim_Ch_0, {&MODULE_P15, 6}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM1_0_TIN85_P14_5_IN = {IfxGtmTim_1, IfxGtmTim_Ch_0, {&MODULE_P14, 5}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM1_0_TIN87_P14_7_IN = {IfxGtmTim_1, IfxGtmTim_Ch_0, {&MODULE_P14, 7}, 13};
IfxGtmTim_TinMap   IfxGtm_TIM1_0_TIN94_P13_3_IN = {IfxGtmTim_1, IfxGtmTim_Ch_0, {&MODULE_P13, 3}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM1_1_TIN103_P10_1_IN = {IfxGtmTim_1, IfxGtmTim_Ch_1, {&MODULE_P10, 1}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM1_1_TIN19_P00_10_IN = {IfxGtmTim_1, IfxGtmTim_Ch_1, {&MODULE_P00, 10}, 14};
IfxGtmTim_TinMap   IfxGtm_TIM1_1_TIN1_P02_1_IN = {IfxGtmTim_1, IfxGtmTim_Ch_1, {&MODULE_P02, 1}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM1_1_TIN27_P33_5_IN = {IfxGtmTim_1, IfxGtmTim_Ch_1, {&MODULE_P33, 5}, 8};
IfxGtmTim_TinMap   IfxGtm_TIM1_1_TIN31_P33_9_IN = {IfxGtmTim_1, IfxGtmTim_Ch_1, {&MODULE_P33, 9}, 9};
IfxGtmTim_TinMap   IfxGtm_TIM1_1_TIN47_P22_0_IN = {IfxGtmTim_1, IfxGtmTim_Ch_1, {&MODULE_P22, 0}, 7};
IfxGtmTim_TinMap   IfxGtm_TIM1_1_TIN54_P21_3_IN = {IfxGtmTim_1, IfxGtmTim_Ch_1, {&MODULE_P21, 3}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM1_1_TIN69_P20_13_IN = {IfxGtmTim_1, IfxGtmTim_Ch_1, {&MODULE_P20, 13}, 10};
IfxGtmTim_TinMap   IfxGtm_TIM1_1_TIN78_P15_7_IN = {IfxGtmTim_1, IfxGtmTim_Ch_1, {&MODULE_P15, 7}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM1_1_TIN86_P14_6_IN = {IfxGtmTim_1, IfxGtmTim_Ch_1, {&MODULE_P14, 6}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM1_1_TIN95_P11_2_IN = {IfxGtmTim_1, IfxGtmTim_Ch_1, {&MODULE_P11, 2}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM1_2_TIN104_P10_2_IN = {IfxGtmTim_1, IfxGtmTim_Ch_2, {&MODULE_P10, 2}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM1_2_TIN107_P10_5_IN = {IfxGtmTim_1, IfxGtmTim_Ch_2, {&MODULE_P10, 5}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM1_2_TIN12_P00_3_IN = {IfxGtmTim_1, IfxGtmTim_Ch_2, {&MODULE_P00, 3}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM1_2_TIN20_P00_11_IN = {IfxGtmTim_1, IfxGtmTim_Ch_2, {&MODULE_P00, 11}, 14};
IfxGtmTim_TinMap   IfxGtm_TIM1_2_TIN28_P33_6_IN = {IfxGtmTim_1, IfxGtmTim_Ch_2, {&MODULE_P33, 6}, 9};
IfxGtmTim_TinMap   IfxGtm_TIM1_2_TIN2_P02_2_IN = {IfxGtmTim_1, IfxGtmTim_Ch_2, {&MODULE_P02, 2}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM1_2_TIN33_P33_11_IN = {IfxGtmTim_1, IfxGtmTim_Ch_2, {&MODULE_P33, 11}, 8};
IfxGtmTim_TinMap   IfxGtm_TIM1_2_TIN46_P23_5_IN = {IfxGtmTim_1, IfxGtmTim_Ch_2, {&MODULE_P23, 5}, 15};
IfxGtmTim_TinMap   IfxGtm_TIM1_2_TIN55_P21_4_IN = {IfxGtmTim_1, IfxGtmTim_Ch_2, {&MODULE_P21, 4}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM1_2_TIN70_P20_14_IN = {IfxGtmTim_1, IfxGtmTim_Ch_2, {&MODULE_P20, 14}, 10};
IfxGtmTim_TinMap   IfxGtm_TIM1_2_TIN79_P15_8_IN = {IfxGtmTim_1, IfxGtmTim_Ch_2, {&MODULE_P15, 8}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM1_2_TIN96_P11_3_IN = {IfxGtmTim_1, IfxGtmTim_Ch_2, {&MODULE_P11, 3}, 7};
IfxGtmTim_TinMap   IfxGtm_TIM1_3_TIN105_P10_3_IN = {IfxGtmTim_1, IfxGtmTim_Ch_3, {&MODULE_P10, 3}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM1_3_TIN108_P10_6_IN = {IfxGtmTim_1, IfxGtmTim_Ch_3, {&MODULE_P10, 6}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM1_3_TIN13_P00_4_IN = {IfxGtmTim_1, IfxGtmTim_Ch_3, {&MODULE_P00, 4}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM1_3_TIN21_P00_12_IN = {IfxGtmTim_1, IfxGtmTim_Ch_3, {&MODULE_P00, 12}, 11};
IfxGtmTim_TinMap   IfxGtm_TIM1_3_TIN29_P33_7_IN = {IfxGtmTim_1, IfxGtmTim_Ch_3, {&MODULE_P33, 7}, 9};
//IfxGtmTim_TinMap   IfxGtm_TIM1_3_TIN38_P32_2_IN = {IfxGtmTim_1, IfxGtmTim_Ch_3, {&MODULE_P32, 2}, 8};
IfxGtmTim_TinMap   IfxGtm_TIM1_3_TIN3_P02_3_IN = {IfxGtmTim_1, IfxGtmTim_Ch_3, {&MODULE_P02, 3}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM1_3_TIN49_P22_2_IN = {IfxGtmTim_1, IfxGtmTim_Ch_3, {&MODULE_P22, 2}, 7};
IfxGtmTim_TinMap   IfxGtm_TIM1_3_TIN56_P21_5_IN = {IfxGtmTim_1, IfxGtmTim_Ch_3, {&MODULE_P21, 5}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM1_3_TIN71_P15_0_IN = {IfxGtmTim_1, IfxGtmTim_Ch_3, {&MODULE_P15, 0}, 10};
IfxGtmTim_TinMap   IfxGtm_TIM1_3_TIN80_P14_0_IN = {IfxGtmTim_1, IfxGtmTim_Ch_3, {&MODULE_P14, 0}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM1_3_TIN97_P11_6_IN = {IfxGtmTim_1, IfxGtmTim_Ch_3, {&MODULE_P11, 6}, 12};
IfxGtmTim_TinMap   IfxGtm_TIM1_4_TIN102_P10_0_IN = {IfxGtmTim_1, IfxGtmTim_Ch_4, {&MODULE_P10, 0}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM1_4_TIN14_P00_5_IN = {IfxGtmTim_1, IfxGtmTim_Ch_4, {&MODULE_P00, 5}, 9};
IfxGtmTim_TinMap   IfxGtm_TIM1_4_TIN22_P33_0_IN = {IfxGtmTim_1, IfxGtmTim_Ch_4, {&MODULE_P33, 0}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM1_4_TIN30_P33_8_IN = {IfxGtmTim_1, IfxGtmTim_Ch_4, {&MODULE_P33, 8}, 7};
//IfxGtmTim_TinMap   IfxGtm_TIM1_4_TIN39_P32_3_IN = {IfxGtmTim_1, IfxGtmTim_Ch_4, {&MODULE_P32, 3}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM1_4_TIN4_P02_4_IN = {IfxGtmTim_1, IfxGtmTim_Ch_4, {&MODULE_P02, 4}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM1_4_TIN50_P22_3_IN = {IfxGtmTim_1, IfxGtmTim_Ch_4, {&MODULE_P22, 3}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM1_4_TIN57_P21_6_IN = {IfxGtmTim_1, IfxGtmTim_Ch_4, {&MODULE_P21, 6}, 8};
IfxGtmTim_TinMap   IfxGtm_TIM1_4_TIN72_P15_1_IN = {IfxGtmTim_1, IfxGtmTim_Ch_4, {&MODULE_P15, 1}, 12};
IfxGtmTim_TinMap   IfxGtm_TIM1_4_TIN81_P14_1_IN = {IfxGtmTim_1, IfxGtmTim_Ch_4, {&MODULE_P14, 1}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM1_4_TIN98_P11_9_IN = {IfxGtmTim_1, IfxGtmTim_Ch_4, {&MODULE_P11, 9}, 11};
IfxGtmTim_TinMap   IfxGtm_TIM1_5_TIN110_P10_8_IN = {IfxGtmTim_1, IfxGtmTim_Ch_5, {&MODULE_P10, 8}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM1_5_TIN15_P00_6_IN = {IfxGtmTim_1, IfxGtmTim_Ch_5, {&MODULE_P00, 6}, 11};
//IfxGtmTim_TinMap   IfxGtm_TIM1_5_TIN40_P32_4_IN = {IfxGtmTim_1, IfxGtmTim_Ch_5, {&MODULE_P32, 4}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM1_5_TIN41_P23_0_IN = {IfxGtmTim_1, IfxGtmTim_Ch_5, {&MODULE_P23, 0}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM1_5_TIN58_P21_7_IN = {IfxGtmTim_1, IfxGtmTim_Ch_5, {&MODULE_P21, 7}, 7};
IfxGtmTim_TinMap   IfxGtm_TIM1_5_TIN5_P02_5_IN = {IfxGtmTim_1, IfxGtmTim_Ch_5, {&MODULE_P02, 5}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM1_5_TIN65_P20_9_IN = {IfxGtmTim_1, IfxGtmTim_Ch_5, {&MODULE_P20, 9}, 9};
IfxGtmTim_TinMap   IfxGtm_TIM1_5_TIN73_P15_2_IN = {IfxGtmTim_1, IfxGtmTim_Ch_5, {&MODULE_P15, 2}, 8};
IfxGtmTim_TinMap   IfxGtm_TIM1_5_TIN82_P14_2_IN = {IfxGtmTim_1, IfxGtmTim_Ch_5, {&MODULE_P14, 2}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM1_5_TIN91_P13_0_IN = {IfxGtmTim_1, IfxGtmTim_Ch_5, {&MODULE_P13, 0}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM1_5_TIN99_P11_10_IN = {IfxGtmTim_1, IfxGtmTim_Ch_5, {&MODULE_P11, 10}, 12};
IfxGtmTim_TinMap   IfxGtm_TIM1_6_TIN100_P11_11_IN = {IfxGtmTim_1, IfxGtmTim_Ch_6, {&MODULE_P11, 11}, 12};
IfxGtmTim_TinMap   IfxGtm_TIM1_6_TIN106_P10_4_IN = {IfxGtmTim_1, IfxGtmTim_Ch_6, {&MODULE_P10, 4}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM1_6_TIN16_P00_7_IN = {IfxGtmTim_1, IfxGtmTim_Ch_6, {&MODULE_P00, 7}, 11};
IfxGtmTim_TinMap   IfxGtm_TIM1_6_TIN24_P33_2_IN = {IfxGtmTim_1, IfxGtmTim_Ch_6, {&MODULE_P33, 2}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM1_6_TIN42_P23_1_IN = {IfxGtmTim_1, IfxGtmTim_Ch_6, {&MODULE_P23, 1}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM1_6_TIN43_P23_2_IN = {IfxGtmTim_1, IfxGtmTim_Ch_6, {&MODULE_P23, 2}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM1_6_TIN59_P20_0_IN = {IfxGtmTim_1, IfxGtmTim_Ch_6, {&MODULE_P20, 0}, 7};
IfxGtmTim_TinMap   IfxGtm_TIM1_6_TIN66_P20_10_IN = {IfxGtmTim_1, IfxGtmTim_Ch_6, {&MODULE_P20, 10}, 9};
IfxGtmTim_TinMap   IfxGtm_TIM1_6_TIN6_P02_6_IN = {IfxGtmTim_1, IfxGtmTim_Ch_6, {&MODULE_P02, 6}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM1_6_TIN74_P15_3_IN = {IfxGtmTim_1, IfxGtmTim_Ch_6, {&MODULE_P15, 3}, 8};
IfxGtmTim_TinMap   IfxGtm_TIM1_6_TIN83_P14_3_IN = {IfxGtmTim_1, IfxGtmTim_Ch_6, {&MODULE_P14, 3}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM1_6_TIN92_P13_1_IN = {IfxGtmTim_1, IfxGtmTim_Ch_6, {&MODULE_P13, 1}, 13};
IfxGtmTim_TinMap   IfxGtm_TIM1_7_TIN101_P11_12_IN = {IfxGtmTim_1, IfxGtmTim_Ch_7, {&MODULE_P11, 12}, 12};
IfxGtmTim_TinMap   IfxGtm_TIM1_7_TIN17_P00_8_IN = {IfxGtmTim_1, IfxGtmTim_Ch_7, {&MODULE_P00, 8}, 11};
IfxGtmTim_TinMap   IfxGtm_TIM1_7_TIN25_P33_3_IN = {IfxGtmTim_1, IfxGtmTim_Ch_7, {&MODULE_P33, 3}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM1_7_TIN44_P23_3_IN = {IfxGtmTim_1, IfxGtmTim_Ch_7, {&MODULE_P23, 3}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM1_7_TIN45_P23_4_IN = {IfxGtmTim_1, IfxGtmTim_Ch_7, {&MODULE_P23, 4}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM1_7_TIN64_P20_8_IN = {IfxGtmTim_1, IfxGtmTim_Ch_7, {&MODULE_P20, 8}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM1_7_TIN67_P20_11_IN = {IfxGtmTim_1, IfxGtmTim_Ch_7, {&MODULE_P20, 11}, 8};
IfxGtmTim_TinMap   IfxGtm_TIM1_7_TIN75_P15_4_IN = {IfxGtmTim_1, IfxGtmTim_Ch_7, {&MODULE_P15, 4}, 7};
IfxGtmTim_TinMap   IfxGtm_TIM1_7_TIN7_P02_7_IN = {IfxGtmTim_1, IfxGtmTim_Ch_7, {&MODULE_P02, 7}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM1_7_TIN84_P14_4_IN = {IfxGtmTim_1, IfxGtmTim_Ch_7, {&MODULE_P14, 4}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM1_7_TIN93_P13_2_IN = {IfxGtmTim_1, IfxGtmTim_Ch_7, {&MODULE_P13, 2}, 9};
IfxGtmTim_TinMap   IfxGtm_TIM2_0_TIN34_P33_12_IN = {IfxGtmTim_2, IfxGtmTim_Ch_0, {&MODULE_P33, 12}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM2_0_TIN68_P20_12_IN = {IfxGtmTim_2, IfxGtmTim_Ch_0, {&MODULE_P20, 12}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM2_0_TIN76_P15_5_IN = {IfxGtmTim_2, IfxGtmTim_Ch_0, {&MODULE_P15, 5}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM2_0_TIN8_P02_8_IN = {IfxGtmTim_2, IfxGtmTim_Ch_0, {&MODULE_P02, 8}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM2_0_TIN94_P13_3_IN = {IfxGtmTim_2, IfxGtmTim_Ch_0, {&MODULE_P13, 3}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM2_0_TIN9_P00_0_IN = {IfxGtmTim_2, IfxGtmTim_Ch_0, {&MODULE_P00, 0}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM2_1_TIN10_P00_1_IN = {IfxGtmTim_2, IfxGtmTim_Ch_1, {&MODULE_P00, 1}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM2_1_TIN11_P00_2_IN = {IfxGtmTim_2, IfxGtmTim_Ch_1, {&MODULE_P00, 2}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM2_1_TIN35_P33_13_IN = {IfxGtmTim_2, IfxGtmTim_Ch_1, {&MODULE_P33, 13}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM2_1_TIN69_P20_13_IN = {IfxGtmTim_2, IfxGtmTim_Ch_1, {&MODULE_P20, 13}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM2_1_TIN95_P11_2_IN = {IfxGtmTim_2, IfxGtmTim_Ch_1, {&MODULE_P11, 2}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM2_2_TIN12_P00_3_IN = {IfxGtmTim_2, IfxGtmTim_Ch_2, {&MODULE_P00, 3}, 1};
//IfxGtmTim_TinMap   IfxGtm_TIM2_2_TIN36_P32_0_IN = {IfxGtmTim_2, IfxGtmTim_Ch_2, {&MODULE_P32, 0}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM2_2_TIN70_P20_14_IN = {IfxGtmTim_2, IfxGtmTim_Ch_2, {&MODULE_P20, 14}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM2_2_TIN88_P14_8_IN = {IfxGtmTim_2, IfxGtmTim_Ch_2, {&MODULE_P14, 8}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM2_2_TIN96_P11_3_IN = {IfxGtmTim_2, IfxGtmTim_Ch_2, {&MODULE_P11, 3}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM2_3_TIN13_P00_4_IN = {IfxGtmTim_2, IfxGtmTim_Ch_3, {&MODULE_P00, 4}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM2_3_TIN60_P20_1_IN = {IfxGtmTim_2, IfxGtmTim_Ch_3, {&MODULE_P20, 1}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM2_3_TIN71_P15_0_IN = {IfxGtmTim_2, IfxGtmTim_Ch_3, {&MODULE_P15, 0}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM2_3_TIN89_P14_9_IN = {IfxGtmTim_2, IfxGtmTim_Ch_3, {&MODULE_P14, 9}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM2_3_TIN97_P11_6_IN = {IfxGtmTim_2, IfxGtmTim_Ch_3, {&MODULE_P11, 6}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM2_4_TIN14_P00_5_IN = {IfxGtmTim_2, IfxGtmTim_Ch_4, {&MODULE_P00, 5}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM2_4_TIN51_P21_0_IN = {IfxGtmTim_2, IfxGtmTim_Ch_4, {&MODULE_P21, 0}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM2_4_TIN61_P20_3_IN = {IfxGtmTim_2, IfxGtmTim_Ch_4, {&MODULE_P20, 3}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM2_4_TIN72_P15_1_IN = {IfxGtmTim_2, IfxGtmTim_Ch_4, {&MODULE_P15, 1}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM2_4_TIN90_P14_10_IN = {IfxGtmTim_2, IfxGtmTim_Ch_4, {&MODULE_P14, 10}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM2_4_TIN98_P11_9_IN = {IfxGtmTim_2, IfxGtmTim_Ch_4, {&MODULE_P11, 9}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM2_5_TIN15_P00_6_IN = {IfxGtmTim_2, IfxGtmTim_Ch_5, {&MODULE_P00, 6}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM2_5_TIN52_P21_1_IN = {IfxGtmTim_2, IfxGtmTim_Ch_5, {&MODULE_P21, 1}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM2_5_TIN65_P20_9_IN = {IfxGtmTim_2, IfxGtmTim_Ch_5, {&MODULE_P20, 9}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM2_5_TIN73_P15_2_IN = {IfxGtmTim_2, IfxGtmTim_Ch_5, {&MODULE_P15, 2}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM2_5_TIN91_P13_0_IN = {IfxGtmTim_2, IfxGtmTim_Ch_5, {&MODULE_P13, 0}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM2_5_TIN99_P11_10_IN = {IfxGtmTim_2, IfxGtmTim_Ch_5, {&MODULE_P11, 10}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM2_6_TIN100_P11_11_IN = {IfxGtmTim_2, IfxGtmTim_Ch_6, {&MODULE_P11, 11}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM2_6_TIN16_P00_7_IN = {IfxGtmTim_2, IfxGtmTim_Ch_6, {&MODULE_P00, 7}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM2_6_TIN62_P20_6_IN = {IfxGtmTim_2, IfxGtmTim_Ch_6, {&MODULE_P20, 6}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM2_6_TIN66_P20_10_IN = {IfxGtmTim_2, IfxGtmTim_Ch_6, {&MODULE_P20, 10}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM2_6_TIN74_P15_3_IN = {IfxGtmTim_2, IfxGtmTim_Ch_6, {&MODULE_P15, 3}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM2_6_TIN92_P13_1_IN = {IfxGtmTim_2, IfxGtmTim_Ch_6, {&MODULE_P13, 1}, 3};
IfxGtmTim_TinMap   IfxGtm_TIM2_7_TIN101_P11_12_IN = {IfxGtmTim_2, IfxGtmTim_Ch_7, {&MODULE_P11, 12}, 2};
IfxGtmTim_TinMap   IfxGtm_TIM2_7_TIN17_P00_8_IN = {IfxGtmTim_2, IfxGtmTim_Ch_7, {&MODULE_P00, 8}, 1};
IfxGtmTim_TinMap   IfxGtm_TIM2_7_TIN63_P20_7_IN = {IfxGtmTim_2, IfxGtmTim_Ch_7, {&MODULE_P20, 7}, 5};
IfxGtmTim_TinMap   IfxGtm_TIM2_7_TIN67_P20_11_IN = {IfxGtmTim_2, IfxGtmTim_Ch_7, {&MODULE_P20, 11}, 6};
IfxGtmTim_TinMap   IfxGtm_TIM2_7_TIN75_P15_4_IN = {IfxGtmTim_2, IfxGtmTim_Ch_7, {&MODULE_P15, 4}, 4};
IfxGtmTim_TinMap   IfxGtm_TIM2_7_TIN93_P13_2_IN = {IfxGtmTim_2, IfxGtmTim_Ch_7, {&MODULE_P13, 2}, 3};
IfxGtmTom_ToutMap  IfxGtm_TOM0_0_TOUT109_P10_7 = {IfxGtmTom_0, IfxGtmTom_Ch_0, IfxGtm_ToutSel_a, 109, {&MODULE_P10, 7}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_0_TOUT18_P00_9 = {IfxGtmTom_0, IfxGtmTom_Ch_0, IfxGtm_ToutSel_a, 18, {&MODULE_P00, 9}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_0_TOUT26_P33_4 = {IfxGtmTom_0, IfxGtmTom_Ch_0, IfxGtm_ToutSel_a, 26, {&MODULE_P33, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_0_TOUT32_P33_10 = {IfxGtmTom_0, IfxGtmTom_Ch_0, IfxGtm_ToutSel_a, 32, {&MODULE_P33, 10}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_0_TOUT53_P21_2 = {IfxGtmTom_0, IfxGtmTom_Ch_0, IfxGtm_ToutSel_a, 53, {&MODULE_P21, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_0_TOUT76_P15_5 = {IfxGtmTom_0, IfxGtmTom_Ch_0, IfxGtm_ToutSel_a, 76, {&MODULE_P15, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_0_TOUT77_P15_6 = {IfxGtmTom_0, IfxGtmTom_Ch_0, IfxGtm_ToutSel_a, 77, {&MODULE_P15, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_0_TOUT85_P14_5 = {IfxGtmTom_0, IfxGtmTom_Ch_0, IfxGtm_ToutSel_a, 85, {&MODULE_P14, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_0_TOUT87_P14_7 = {IfxGtmTom_0, IfxGtmTom_Ch_0, IfxGtm_ToutSel_a, 87, {&MODULE_P14, 7}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_10_TOUT12_P00_3 = {IfxGtmTom_0, IfxGtmTom_Ch_10, IfxGtm_ToutSel_a, 12, {&MODULE_P00, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_10_TOUT2_P02_2 = {IfxGtmTom_0, IfxGtmTom_Ch_10, IfxGtm_ToutSel_a, 2, {&MODULE_P02, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_10_TOUT41_P23_0 = {IfxGtmTom_0, IfxGtmTom_Ch_10, IfxGtm_ToutSel_a, 41, {&MODULE_P23, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_10_TOUT46_P23_5 = {IfxGtmTom_0, IfxGtmTom_Ch_10, IfxGtm_ToutSel_a, 46, {&MODULE_P23, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_10_TOUT62_P20_6 = {IfxGtmTom_0, IfxGtmTom_Ch_10, IfxGtm_ToutSel_b, 62, {&MODULE_P20, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_10_TOUT70_P20_14 = {IfxGtmTom_0, IfxGtmTom_Ch_10, IfxGtm_ToutSel_b, 70, {&MODULE_P20, 14}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_10_TOUT96_P11_3 = {IfxGtmTom_0, IfxGtmTom_Ch_10, IfxGtm_ToutSel_a, 96, {&MODULE_P11, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_11_TOUT13_P00_4 = {IfxGtmTom_0, IfxGtmTom_Ch_11, IfxGtm_ToutSel_a, 13, {&MODULE_P00, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_11_TOUT3_P02_3 = {IfxGtmTom_0, IfxGtmTom_Ch_11, IfxGtm_ToutSel_a, 3, {&MODULE_P02, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_11_TOUT43_P23_2 = {IfxGtmTom_0, IfxGtmTom_Ch_11, IfxGtm_ToutSel_a, 43, {&MODULE_P23, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_11_TOUT49_P22_2 = {IfxGtmTom_0, IfxGtmTom_Ch_11, IfxGtm_ToutSel_a, 49, {&MODULE_P22, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_11_TOUT63_P20_7 = {IfxGtmTom_0, IfxGtmTom_Ch_11, IfxGtm_ToutSel_b, 63, {&MODULE_P20, 7}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_11_TOUT71_P15_0 = {IfxGtmTom_0, IfxGtmTom_Ch_11, IfxGtm_ToutSel_b, 71, {&MODULE_P15, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_11_TOUT97_P11_6 = {IfxGtmTom_0, IfxGtmTom_Ch_11, IfxGtm_ToutSel_a, 97, {&MODULE_P11, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_12_TOUT14_P00_5 = {IfxGtmTom_0, IfxGtmTom_Ch_12, IfxGtm_ToutSel_a, 14, {&MODULE_P00, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_12_TOUT34_P33_12 = {IfxGtmTom_0, IfxGtmTom_Ch_12, IfxGtm_ToutSel_b, 34, {&MODULE_P33, 12}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_12_TOUT44_P23_3 = {IfxGtmTom_0, IfxGtmTom_Ch_12, IfxGtm_ToutSel_a, 44, {&MODULE_P23, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_12_TOUT4_P02_4 = {IfxGtmTom_0, IfxGtmTom_Ch_12, IfxGtm_ToutSel_a, 4, {&MODULE_P02, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_12_TOUT50_P22_3 = {IfxGtmTom_0, IfxGtmTom_Ch_12, IfxGtm_ToutSel_a, 50, {&MODULE_P22, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_12_TOUT72_P15_1 = {IfxGtmTom_0, IfxGtmTom_Ch_12, IfxGtm_ToutSel_b, 72, {&MODULE_P15, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_12_TOUT98_P11_9 = {IfxGtmTom_0, IfxGtmTom_Ch_12, IfxGtm_ToutSel_a, 98, {&MODULE_P11, 9}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_13_TOUT15_P00_6 = {IfxGtmTom_0, IfxGtmTom_Ch_13, IfxGtm_ToutSel_a, 15, {&MODULE_P00, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_13_TOUT35_P33_13 = {IfxGtmTom_0, IfxGtmTom_Ch_13, IfxGtm_ToutSel_b, 35, {&MODULE_P33, 13}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_13_TOUT5_P02_5 = {IfxGtmTom_0, IfxGtmTom_Ch_13, IfxGtm_ToutSel_a, 5, {&MODULE_P02, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_13_TOUT65_P20_9 = {IfxGtmTom_0, IfxGtmTom_Ch_13, IfxGtm_ToutSel_b, 65, {&MODULE_P20, 9}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_13_TOUT73_P15_2 = {IfxGtmTom_0, IfxGtmTom_Ch_13, IfxGtm_ToutSel_b, 73, {&MODULE_P15, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_13_TOUT99_P11_10 = {IfxGtmTom_0, IfxGtmTom_Ch_13, IfxGtm_ToutSel_a, 99, {&MODULE_P11, 10}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_14_TOUT100_P11_11 = {IfxGtmTom_0, IfxGtmTom_Ch_14, IfxGtm_ToutSel_a, 100, {&MODULE_P11, 11}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_14_TOUT16_P00_7 = {IfxGtmTom_0, IfxGtmTom_Ch_14, IfxGtm_ToutSel_a, 16, {&MODULE_P00, 7}, IfxPort_OutputIdx_alt1};
//IfxGtmTom_ToutMap  IfxGtm_TOM0_14_TOUT36_P32_0 = {IfxGtmTom_0, IfxGtmTom_Ch_14, IfxGtm_ToutSel_b, 36, {&MODULE_P32, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_14_TOUT66_P20_10 = {IfxGtmTom_0, IfxGtmTom_Ch_14, IfxGtm_ToutSel_b, 66, {&MODULE_P20, 10}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_14_TOUT6_P02_6 = {IfxGtmTom_0, IfxGtmTom_Ch_14, IfxGtm_ToutSel_a, 6, {&MODULE_P02, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_14_TOUT74_P15_3 = {IfxGtmTom_0, IfxGtmTom_Ch_14, IfxGtm_ToutSel_b, 74, {&MODULE_P15, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_15_TOUT101_P11_12 = {IfxGtmTom_0, IfxGtmTom_Ch_15, IfxGtm_ToutSel_a, 101, {&MODULE_P11, 12}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_15_TOUT17_P00_8 = {IfxGtmTom_0, IfxGtmTom_Ch_15, IfxGtm_ToutSel_a, 17, {&MODULE_P00, 8}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_15_TOUT42_P23_1 = {IfxGtmTom_0, IfxGtmTom_Ch_15, IfxGtm_ToutSel_b, 42, {&MODULE_P23, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_15_TOUT67_P20_11 = {IfxGtmTom_0, IfxGtmTom_Ch_15, IfxGtm_ToutSel_b, 67, {&MODULE_P20, 11}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_15_TOUT75_P15_4 = {IfxGtmTom_0, IfxGtmTom_Ch_15, IfxGtm_ToutSel_b, 75, {&MODULE_P15, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_15_TOUT7_P02_7 = {IfxGtmTom_0, IfxGtmTom_Ch_15, IfxGtm_ToutSel_a, 7, {&MODULE_P02, 7}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_1_TOUT103_P10_1 = {IfxGtmTom_0, IfxGtmTom_Ch_1, IfxGtm_ToutSel_a, 103, {&MODULE_P10, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_1_TOUT19_P00_10 = {IfxGtmTom_0, IfxGtmTom_Ch_1, IfxGtm_ToutSel_a, 19, {&MODULE_P00, 10}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_1_TOUT27_P33_5 = {IfxGtmTom_0, IfxGtmTom_Ch_1, IfxGtm_ToutSel_a, 27, {&MODULE_P33, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_1_TOUT31_P33_9 = {IfxGtmTom_0, IfxGtmTom_Ch_1, IfxGtm_ToutSel_a, 31, {&MODULE_P33, 9}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_1_TOUT54_P21_3 = {IfxGtmTom_0, IfxGtmTom_Ch_1, IfxGtm_ToutSel_a, 54, {&MODULE_P21, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_1_TOUT78_P15_7 = {IfxGtmTom_0, IfxGtmTom_Ch_1, IfxGtm_ToutSel_a, 78, {&MODULE_P15, 7}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_1_TOUT86_P14_6 = {IfxGtmTom_0, IfxGtmTom_Ch_1, IfxGtm_ToutSel_a, 86, {&MODULE_P14, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_2_TOUT104_P10_2 = {IfxGtmTom_0, IfxGtmTom_Ch_2, IfxGtm_ToutSel_a, 104, {&MODULE_P10, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_2_TOUT107_P10_5 = {IfxGtmTom_0, IfxGtmTom_Ch_2, IfxGtm_ToutSel_a, 107, {&MODULE_P10, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_2_TOUT20_P00_11 = {IfxGtmTom_0, IfxGtmTom_Ch_2, IfxGtm_ToutSel_a, 20, {&MODULE_P00, 11}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_2_TOUT28_P33_6 = {IfxGtmTom_0, IfxGtmTom_Ch_2, IfxGtm_ToutSel_a, 28, {&MODULE_P33, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_2_TOUT33_P33_11 = {IfxGtmTom_0, IfxGtmTom_Ch_2, IfxGtm_ToutSel_a, 33, {&MODULE_P33, 11}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_2_TOUT55_P21_4 = {IfxGtmTom_0, IfxGtmTom_Ch_2, IfxGtm_ToutSel_a, 55, {&MODULE_P21, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_2_TOUT79_P15_8 = {IfxGtmTom_0, IfxGtmTom_Ch_2, IfxGtm_ToutSel_a, 79, {&MODULE_P15, 8}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_2_TOUT88_P14_8 = {IfxGtmTom_0, IfxGtmTom_Ch_2, IfxGtm_ToutSel_a, 88, {&MODULE_P14, 8}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_3_TOUT105_P10_3 = {IfxGtmTom_0, IfxGtmTom_Ch_3, IfxGtm_ToutSel_a, 105, {&MODULE_P10, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_3_TOUT108_P10_6 = {IfxGtmTom_0, IfxGtmTom_Ch_3, IfxGtm_ToutSel_a, 108, {&MODULE_P10, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_3_TOUT21_P00_12 = {IfxGtmTom_0, IfxGtmTom_Ch_3, IfxGtm_ToutSel_a, 21, {&MODULE_P00, 12}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_3_TOUT29_P33_7 = {IfxGtmTom_0, IfxGtmTom_Ch_3, IfxGtm_ToutSel_a, 29, {&MODULE_P33, 7}, IfxPort_OutputIdx_alt1};
//IfxGtmTom_ToutMap  IfxGtm_TOM0_3_TOUT38_P32_2 = {IfxGtmTom_0, IfxGtmTom_Ch_3, IfxGtm_ToutSel_a, 38, {&MODULE_P32, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_3_TOUT56_P21_5 = {IfxGtmTom_0, IfxGtmTom_Ch_3, IfxGtm_ToutSel_a, 56, {&MODULE_P21, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_3_TOUT60_P20_1 = {IfxGtmTom_0, IfxGtmTom_Ch_3, IfxGtm_ToutSel_b, 60, {&MODULE_P20, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_3_TOUT80_P14_0 = {IfxGtmTom_0, IfxGtmTom_Ch_3, IfxGtm_ToutSel_a, 80, {&MODULE_P14, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_3_TOUT89_P14_9 = {IfxGtmTom_0, IfxGtmTom_Ch_3, IfxGtm_ToutSel_a, 89, {&MODULE_P14, 9}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_4_TOUT102_P10_0 = {IfxGtmTom_0, IfxGtmTom_Ch_4, IfxGtm_ToutSel_a, 102, {&MODULE_P10, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_4_TOUT22_P33_0 = {IfxGtmTom_0, IfxGtmTom_Ch_4, IfxGtm_ToutSel_a, 22, {&MODULE_P33, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_4_TOUT30_P33_8 = {IfxGtmTom_0, IfxGtmTom_Ch_4, IfxGtm_ToutSel_a, 30, {&MODULE_P33, 8}, IfxPort_OutputIdx_alt1};
//IfxGtmTom_ToutMap  IfxGtm_TOM0_4_TOUT39_P32_3 = {IfxGtmTom_0, IfxGtmTom_Ch_4, IfxGtm_ToutSel_a, 39, {&MODULE_P32, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_4_TOUT57_P21_6 = {IfxGtmTom_0, IfxGtmTom_Ch_4, IfxGtm_ToutSel_a, 57, {&MODULE_P21, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_4_TOUT61_P20_3 = {IfxGtmTom_0, IfxGtmTom_Ch_4, IfxGtm_ToutSel_b, 61, {&MODULE_P20, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_4_TOUT81_P14_1 = {IfxGtmTom_0, IfxGtmTom_Ch_4, IfxGtm_ToutSel_a, 81, {&MODULE_P14, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_4_TOUT90_P14_10 = {IfxGtmTom_0, IfxGtmTom_Ch_4, IfxGtm_ToutSel_a, 90, {&MODULE_P14, 10}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_5_TOUT110_P10_8 = {IfxGtmTom_0, IfxGtmTom_Ch_5, IfxGtm_ToutSel_a, 110, {&MODULE_P10, 8}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_5_TOUT23_P33_1 = {IfxGtmTom_0, IfxGtmTom_Ch_5, IfxGtm_ToutSel_a, 23, {&MODULE_P33, 1}, IfxPort_OutputIdx_alt1};
//IfxGtmTom_ToutMap  IfxGtm_TOM0_5_TOUT40_P32_4 = {IfxGtmTom_0, IfxGtmTom_Ch_5, IfxGtm_ToutSel_a, 40, {&MODULE_P32, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_5_TOUT58_P21_7 = {IfxGtmTom_0, IfxGtmTom_Ch_5, IfxGtm_ToutSel_a, 58, {&MODULE_P21, 7}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_5_TOUT82_P14_2 = {IfxGtmTom_0, IfxGtmTom_Ch_5, IfxGtm_ToutSel_a, 82, {&MODULE_P14, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_5_TOUT91_P13_0 = {IfxGtmTom_0, IfxGtmTom_Ch_5, IfxGtm_ToutSel_a, 91, {&MODULE_P13, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_6_TOUT106_P10_4 = {IfxGtmTom_0, IfxGtmTom_Ch_6, IfxGtm_ToutSel_a, 106, {&MODULE_P10, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_6_TOUT24_P33_2 = {IfxGtmTom_0, IfxGtmTom_Ch_6, IfxGtm_ToutSel_a, 24, {&MODULE_P33, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_6_TOUT42_P23_1 = {IfxGtmTom_0, IfxGtmTom_Ch_6, IfxGtm_ToutSel_a, 42, {&MODULE_P23, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_6_TOUT59_P20_0 = {IfxGtmTom_0, IfxGtmTom_Ch_6, IfxGtm_ToutSel_a, 59, {&MODULE_P20, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_6_TOUT83_P14_3 = {IfxGtmTom_0, IfxGtmTom_Ch_6, IfxGtm_ToutSel_a, 83, {&MODULE_P14, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_6_TOUT92_P13_1 = {IfxGtmTom_0, IfxGtmTom_Ch_6, IfxGtm_ToutSel_a, 92, {&MODULE_P13, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_7_TOUT25_P33_3 = {IfxGtmTom_0, IfxGtmTom_Ch_7, IfxGtm_ToutSel_a, 25, {&MODULE_P33, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_7_TOUT45_P23_4 = {IfxGtmTom_0, IfxGtmTom_Ch_7, IfxGtm_ToutSel_a, 45, {&MODULE_P23, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_7_TOUT64_P20_8 = {IfxGtmTom_0, IfxGtmTom_Ch_7, IfxGtm_ToutSel_b, 64, {&MODULE_P20, 8}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_7_TOUT84_P14_4 = {IfxGtmTom_0, IfxGtmTom_Ch_7, IfxGtm_ToutSel_a, 84, {&MODULE_P14, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_7_TOUT93_P13_2 = {IfxGtmTom_0, IfxGtmTom_Ch_7, IfxGtm_ToutSel_a, 93, {&MODULE_P13, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_8_TOUT0_P02_0 = {IfxGtmTom_0, IfxGtmTom_Ch_8, IfxGtm_ToutSel_a, 0, {&MODULE_P02, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_8_TOUT48_P22_1 = {IfxGtmTom_0, IfxGtmTom_Ch_8, IfxGtm_ToutSel_a, 48, {&MODULE_P22, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_8_TOUT51_P21_0 = {IfxGtmTom_0, IfxGtmTom_Ch_8, IfxGtm_ToutSel_a, 51, {&MODULE_P21, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_8_TOUT68_P20_12 = {IfxGtmTom_0, IfxGtmTom_Ch_8, IfxGtm_ToutSel_b, 68, {&MODULE_P20, 12}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_8_TOUT8_P02_8 = {IfxGtmTom_0, IfxGtmTom_Ch_8, IfxGtm_ToutSel_a, 8, {&MODULE_P02, 8}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_8_TOUT94_P13_3 = {IfxGtmTom_0, IfxGtmTom_Ch_8, IfxGtm_ToutSel_a, 94, {&MODULE_P13, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_8_TOUT95_P11_2 = {IfxGtmTom_0, IfxGtmTom_Ch_8, IfxGtm_ToutSel_a, 95, {&MODULE_P11, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_8_TOUT9_P00_0 = {IfxGtmTom_0, IfxGtmTom_Ch_8, IfxGtm_ToutSel_a, 9, {&MODULE_P00, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_9_TOUT10_P00_1 = {IfxGtmTom_0, IfxGtmTom_Ch_9, IfxGtm_ToutSel_a, 10, {&MODULE_P00, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_9_TOUT11_P00_2 = {IfxGtmTom_0, IfxGtmTom_Ch_9, IfxGtm_ToutSel_a, 11, {&MODULE_P00, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_9_TOUT1_P02_1 = {IfxGtmTom_0, IfxGtmTom_Ch_9, IfxGtm_ToutSel_a, 1, {&MODULE_P02, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_9_TOUT47_P22_0 = {IfxGtmTom_0, IfxGtmTom_Ch_9, IfxGtm_ToutSel_a, 47, {&MODULE_P22, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_9_TOUT52_P21_1 = {IfxGtmTom_0, IfxGtmTom_Ch_9, IfxGtm_ToutSel_a, 52, {&MODULE_P21, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM0_9_TOUT69_P20_13 = {IfxGtmTom_0, IfxGtmTom_Ch_9, IfxGtm_ToutSel_b, 69, {&MODULE_P20, 13}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_0_TOUT18_P00_9 = {IfxGtmTom_1, IfxGtmTom_Ch_0, IfxGtm_ToutSel_b, 18, {&MODULE_P00, 9}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_0_TOUT26_P33_4 = {IfxGtmTom_1, IfxGtmTom_Ch_0, IfxGtm_ToutSel_b, 26, {&MODULE_P33, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_0_TOUT32_P33_10 = {IfxGtmTom_1, IfxGtmTom_Ch_0, IfxGtm_ToutSel_b, 32, {&MODULE_P33, 10}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_0_TOUT48_P22_1 = {IfxGtmTom_1, IfxGtmTom_Ch_0, IfxGtm_ToutSel_b, 48, {&MODULE_P22, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_0_TOUT53_P21_2 = {IfxGtmTom_1, IfxGtmTom_Ch_0, IfxGtm_ToutSel_b, 53, {&MODULE_P21, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_0_TOUT68_P20_12 = {IfxGtmTom_1, IfxGtmTom_Ch_0, IfxGtm_ToutSel_a, 68, {&MODULE_P20, 12}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_0_TOUT76_P15_5 = {IfxGtmTom_1, IfxGtmTom_Ch_0, IfxGtm_ToutSel_b, 76, {&MODULE_P15, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_0_TOUT77_P15_6 = {IfxGtmTom_1, IfxGtmTom_Ch_0, IfxGtm_ToutSel_b, 77, {&MODULE_P15, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_0_TOUT85_P14_5 = {IfxGtmTom_1, IfxGtmTom_Ch_0, IfxGtm_ToutSel_b, 85, {&MODULE_P14, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_0_TOUT87_P14_7 = {IfxGtmTom_1, IfxGtmTom_Ch_0, IfxGtm_ToutSel_b, 87, {&MODULE_P14, 7}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_0_TOUT8_P02_8 = {IfxGtmTom_1, IfxGtmTom_Ch_0, IfxGtm_ToutSel_b, 8, {&MODULE_P02, 8}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_0_TOUT94_P13_3 = {IfxGtmTom_1, IfxGtmTom_Ch_0, IfxGtm_ToutSel_b, 94, {&MODULE_P13, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_0_TOUT9_P00_0 = {IfxGtmTom_1, IfxGtmTom_Ch_0, IfxGtm_ToutSel_b, 9, {&MODULE_P00, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_10_TOUT104_P10_2 = {IfxGtmTom_1, IfxGtmTom_Ch_10, IfxGtm_ToutSel_b, 104, {&MODULE_P10, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_10_TOUT107_P10_5 = {IfxGtmTom_1, IfxGtmTom_Ch_10, IfxGtm_ToutSel_b, 107, {&MODULE_P10, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_10_TOUT2_P02_2 = {IfxGtmTom_1, IfxGtmTom_Ch_10, IfxGtm_ToutSel_b, 2, {&MODULE_P02, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_10_TOUT62_P20_6 = {IfxGtmTom_1, IfxGtmTom_Ch_10, IfxGtm_ToutSel_a, 62, {&MODULE_P20, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_11_TOUT105_P10_3 = {IfxGtmTom_1, IfxGtmTom_Ch_11, IfxGtm_ToutSel_b, 105, {&MODULE_P10, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_11_TOUT108_P10_6 = {IfxGtmTom_1, IfxGtmTom_Ch_11, IfxGtm_ToutSel_b, 108, {&MODULE_P10, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_11_TOUT3_P02_3 = {IfxGtmTom_1, IfxGtmTom_Ch_11, IfxGtm_ToutSel_b, 3, {&MODULE_P02, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_11_TOUT60_P20_1 = {IfxGtmTom_1, IfxGtmTom_Ch_11, IfxGtm_ToutSel_a, 60, {&MODULE_P20, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_11_TOUT63_P20_7 = {IfxGtmTom_1, IfxGtmTom_Ch_11, IfxGtm_ToutSel_a, 63, {&MODULE_P20, 7}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_12_TOUT102_P10_0 = {IfxGtmTom_1, IfxGtmTom_Ch_12, IfxGtm_ToutSel_b, 102, {&MODULE_P10, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_12_TOUT34_P33_12 = {IfxGtmTom_1, IfxGtmTom_Ch_12, IfxGtm_ToutSel_a, 34, {&MODULE_P33, 12}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_12_TOUT4_P02_4 = {IfxGtmTom_1, IfxGtmTom_Ch_12, IfxGtm_ToutSel_b, 4, {&MODULE_P02, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_12_TOUT61_P20_3 = {IfxGtmTom_1, IfxGtmTom_Ch_12, IfxGtm_ToutSel_a, 61, {&MODULE_P20, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_13_TOUT110_P10_8 = {IfxGtmTom_1, IfxGtmTom_Ch_13, IfxGtm_ToutSel_b, 110, {&MODULE_P10, 8}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_13_TOUT35_P33_13 = {IfxGtmTom_1, IfxGtmTom_Ch_13, IfxGtm_ToutSel_a, 35, {&MODULE_P33, 13}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_13_TOUT5_P02_5 = {IfxGtmTom_1, IfxGtmTom_Ch_13, IfxGtm_ToutSel_b, 5, {&MODULE_P02, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_13_TOUT65_P20_9 = {IfxGtmTom_1, IfxGtmTom_Ch_13, IfxGtm_ToutSel_a, 65, {&MODULE_P20, 9}, IfxPort_OutputIdx_alt1};
//IfxGtmTom_ToutMap  IfxGtm_TOM1_14_TOUT36_P32_0 = {IfxGtmTom_1, IfxGtmTom_Ch_14, IfxGtm_ToutSel_a, 36, {&MODULE_P32, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_14_TOUT66_P20_10 = {IfxGtmTom_1, IfxGtmTom_Ch_14, IfxGtm_ToutSel_a, 66, {&MODULE_P20, 10}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_14_TOUT6_P02_6 = {IfxGtmTom_1, IfxGtmTom_Ch_14, IfxGtm_ToutSel_b, 6, {&MODULE_P02, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_15_TOUT67_P20_11 = {IfxGtmTom_1, IfxGtmTom_Ch_15, IfxGtm_ToutSel_a, 67, {&MODULE_P20, 11}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_15_TOUT7_P02_7 = {IfxGtmTom_1, IfxGtmTom_Ch_15, IfxGtm_ToutSel_b, 7, {&MODULE_P02, 7}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_1_TOUT10_P00_1 = {IfxGtmTom_1, IfxGtmTom_Ch_1, IfxGtm_ToutSel_b, 10, {&MODULE_P00, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_1_TOUT11_P00_2 = {IfxGtmTom_1, IfxGtmTom_Ch_1, IfxGtm_ToutSel_b, 11, {&MODULE_P00, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_1_TOUT19_P00_10 = {IfxGtmTom_1, IfxGtmTom_Ch_1, IfxGtm_ToutSel_b, 19, {&MODULE_P00, 10}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_1_TOUT27_P33_5 = {IfxGtmTom_1, IfxGtmTom_Ch_1, IfxGtm_ToutSel_b, 27, {&MODULE_P33, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_1_TOUT31_P33_9 = {IfxGtmTom_1, IfxGtmTom_Ch_1, IfxGtm_ToutSel_b, 31, {&MODULE_P33, 9}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_1_TOUT47_P22_0 = {IfxGtmTom_1, IfxGtmTom_Ch_1, IfxGtm_ToutSel_b, 47, {&MODULE_P22, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_1_TOUT54_P21_3 = {IfxGtmTom_1, IfxGtmTom_Ch_1, IfxGtm_ToutSel_b, 54, {&MODULE_P21, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_1_TOUT69_P20_13 = {IfxGtmTom_1, IfxGtmTom_Ch_1, IfxGtm_ToutSel_a, 69, {&MODULE_P20, 13}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_1_TOUT78_P15_7 = {IfxGtmTom_1, IfxGtmTom_Ch_1, IfxGtm_ToutSel_b, 78, {&MODULE_P15, 7}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_1_TOUT86_P14_6 = {IfxGtmTom_1, IfxGtmTom_Ch_1, IfxGtm_ToutSel_b, 86, {&MODULE_P14, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_1_TOUT95_P11_2 = {IfxGtmTom_1, IfxGtmTom_Ch_1, IfxGtm_ToutSel_b, 95, {&MODULE_P11, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_2_TOUT12_P00_3 = {IfxGtmTom_1, IfxGtmTom_Ch_2, IfxGtm_ToutSel_b, 12, {&MODULE_P00, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_2_TOUT20_P00_11 = {IfxGtmTom_1, IfxGtmTom_Ch_2, IfxGtm_ToutSel_b, 20, {&MODULE_P00, 11}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_2_TOUT28_P33_6 = {IfxGtmTom_1, IfxGtmTom_Ch_2, IfxGtm_ToutSel_b, 28, {&MODULE_P33, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_2_TOUT33_P33_11 = {IfxGtmTom_1, IfxGtmTom_Ch_2, IfxGtm_ToutSel_b, 33, {&MODULE_P33, 11}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_2_TOUT46_P23_5 = {IfxGtmTom_1, IfxGtmTom_Ch_2, IfxGtm_ToutSel_b, 46, {&MODULE_P23, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_2_TOUT55_P21_4 = {IfxGtmTom_1, IfxGtmTom_Ch_2, IfxGtm_ToutSel_b, 55, {&MODULE_P21, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_2_TOUT70_P20_14 = {IfxGtmTom_1, IfxGtmTom_Ch_2, IfxGtm_ToutSel_a, 70, {&MODULE_P20, 14}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_2_TOUT79_P15_8 = {IfxGtmTom_1, IfxGtmTom_Ch_2, IfxGtm_ToutSel_b, 79, {&MODULE_P15, 8}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_2_TOUT88_P14_8 = {IfxGtmTom_1, IfxGtmTom_Ch_2, IfxGtm_ToutSel_b, 88, {&MODULE_P14, 8}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_2_TOUT96_P11_3 = {IfxGtmTom_1, IfxGtmTom_Ch_2, IfxGtm_ToutSel_b, 96, {&MODULE_P11, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_3_TOUT13_P00_4 = {IfxGtmTom_1, IfxGtmTom_Ch_3, IfxGtm_ToutSel_b, 13, {&MODULE_P00, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_3_TOUT21_P00_12 = {IfxGtmTom_1, IfxGtmTom_Ch_3, IfxGtm_ToutSel_b, 21, {&MODULE_P00, 12}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_3_TOUT29_P33_7 = {IfxGtmTom_1, IfxGtmTom_Ch_3, IfxGtm_ToutSel_b, 29, {&MODULE_P33, 7}, IfxPort_OutputIdx_alt1};
//IfxGtmTom_ToutMap  IfxGtm_TOM1_3_TOUT38_P32_2 = {IfxGtmTom_1, IfxGtmTom_Ch_3, IfxGtm_ToutSel_b, 38, {&MODULE_P32, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_3_TOUT49_P22_2 = {IfxGtmTom_1, IfxGtmTom_Ch_3, IfxGtm_ToutSel_b, 49, {&MODULE_P22, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_3_TOUT56_P21_5 = {IfxGtmTom_1, IfxGtmTom_Ch_3, IfxGtm_ToutSel_b, 56, {&MODULE_P21, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_3_TOUT71_P15_0 = {IfxGtmTom_1, IfxGtmTom_Ch_3, IfxGtm_ToutSel_a, 71, {&MODULE_P15, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_3_TOUT80_P14_0 = {IfxGtmTom_1, IfxGtmTom_Ch_3, IfxGtm_ToutSel_b, 80, {&MODULE_P14, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_3_TOUT89_P14_9 = {IfxGtmTom_1, IfxGtmTom_Ch_3, IfxGtm_ToutSel_b, 89, {&MODULE_P14, 9}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_3_TOUT97_P11_6 = {IfxGtmTom_1, IfxGtmTom_Ch_3, IfxGtm_ToutSel_b, 97, {&MODULE_P11, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_4_TOUT14_P00_5 = {IfxGtmTom_1, IfxGtmTom_Ch_4, IfxGtm_ToutSel_b, 14, {&MODULE_P00, 5}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_4_TOUT22_P33_0 = {IfxGtmTom_1, IfxGtmTom_Ch_4, IfxGtm_ToutSel_b, 22, {&MODULE_P33, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_4_TOUT30_P33_8 = {IfxGtmTom_1, IfxGtmTom_Ch_4, IfxGtm_ToutSel_b, 30, {&MODULE_P33, 8}, IfxPort_OutputIdx_alt1};
//IfxGtmTom_ToutMap  IfxGtm_TOM1_4_TOUT39_P32_3 = {IfxGtmTom_1, IfxGtmTom_Ch_4, IfxGtm_ToutSel_b, 39, {&MODULE_P32, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_4_TOUT50_P22_3 = {IfxGtmTom_1, IfxGtmTom_Ch_4, IfxGtm_ToutSel_b, 50, {&MODULE_P22, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_4_TOUT57_P21_6 = {IfxGtmTom_1, IfxGtmTom_Ch_4, IfxGtm_ToutSel_b, 57, {&MODULE_P21, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_4_TOUT72_P15_1 = {IfxGtmTom_1, IfxGtmTom_Ch_4, IfxGtm_ToutSel_a, 72, {&MODULE_P15, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_4_TOUT81_P14_1 = {IfxGtmTom_1, IfxGtmTom_Ch_4, IfxGtm_ToutSel_b, 81, {&MODULE_P14, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_4_TOUT90_P14_10 = {IfxGtmTom_1, IfxGtmTom_Ch_4, IfxGtm_ToutSel_b, 90, {&MODULE_P14, 10}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_4_TOUT98_P11_9 = {IfxGtmTom_1, IfxGtmTom_Ch_4, IfxGtm_ToutSel_b, 98, {&MODULE_P11, 9}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_5_TOUT15_P00_6 = {IfxGtmTom_1, IfxGtmTom_Ch_5, IfxGtm_ToutSel_b, 15, {&MODULE_P00, 6}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_5_TOUT23_P33_1 = {IfxGtmTom_1, IfxGtmTom_Ch_5, IfxGtm_ToutSel_b, 23, {&MODULE_P33, 1}, IfxPort_OutputIdx_alt1};
//IfxGtmTom_ToutMap  IfxGtm_TOM1_5_TOUT40_P32_4 = {IfxGtmTom_1, IfxGtmTom_Ch_5, IfxGtm_ToutSel_b, 40, {&MODULE_P32, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_5_TOUT41_P23_0 = {IfxGtmTom_1, IfxGtmTom_Ch_5, IfxGtm_ToutSel_b, 41, {&MODULE_P23, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_5_TOUT58_P21_7 = {IfxGtmTom_1, IfxGtmTom_Ch_5, IfxGtm_ToutSel_b, 58, {&MODULE_P21, 7}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_5_TOUT73_P15_2 = {IfxGtmTom_1, IfxGtmTom_Ch_5, IfxGtm_ToutSel_a, 73, {&MODULE_P15, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_5_TOUT82_P14_2 = {IfxGtmTom_1, IfxGtmTom_Ch_5, IfxGtm_ToutSel_b, 82, {&MODULE_P14, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_5_TOUT91_P13_0 = {IfxGtmTom_1, IfxGtmTom_Ch_5, IfxGtm_ToutSel_b, 91, {&MODULE_P13, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_5_TOUT99_P11_10 = {IfxGtmTom_1, IfxGtmTom_Ch_5, IfxGtm_ToutSel_b, 99, {&MODULE_P11, 10}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_6_TOUT100_P11_11 = {IfxGtmTom_1, IfxGtmTom_Ch_6, IfxGtm_ToutSel_b, 100, {&MODULE_P11, 11}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_6_TOUT106_P10_4 = {IfxGtmTom_1, IfxGtmTom_Ch_6, IfxGtm_ToutSel_b, 106, {&MODULE_P10, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_6_TOUT16_P00_7 = {IfxGtmTom_1, IfxGtmTom_Ch_6, IfxGtm_ToutSel_b, 16, {&MODULE_P00, 7}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_6_TOUT24_P33_2 = {IfxGtmTom_1, IfxGtmTom_Ch_6, IfxGtm_ToutSel_b, 24, {&MODULE_P33, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_6_TOUT43_P23_2 = {IfxGtmTom_1, IfxGtmTom_Ch_6, IfxGtm_ToutSel_b, 43, {&MODULE_P23, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_6_TOUT59_P20_0 = {IfxGtmTom_1, IfxGtmTom_Ch_6, IfxGtm_ToutSel_b, 59, {&MODULE_P20, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_6_TOUT74_P15_3 = {IfxGtmTom_1, IfxGtmTom_Ch_6, IfxGtm_ToutSel_a, 74, {&MODULE_P15, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_6_TOUT83_P14_3 = {IfxGtmTom_1, IfxGtmTom_Ch_6, IfxGtm_ToutSel_b, 83, {&MODULE_P14, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_6_TOUT92_P13_1 = {IfxGtmTom_1, IfxGtmTom_Ch_6, IfxGtm_ToutSel_b, 92, {&MODULE_P13, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_7_TOUT101_P11_12 = {IfxGtmTom_1, IfxGtmTom_Ch_7, IfxGtm_ToutSel_b, 101, {&MODULE_P11, 12}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_7_TOUT17_P00_8 = {IfxGtmTom_1, IfxGtmTom_Ch_7, IfxGtm_ToutSel_b, 17, {&MODULE_P00, 8}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_7_TOUT25_P33_3 = {IfxGtmTom_1, IfxGtmTom_Ch_7, IfxGtm_ToutSel_b, 25, {&MODULE_P33, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_7_TOUT44_P23_3 = {IfxGtmTom_1, IfxGtmTom_Ch_7, IfxGtm_ToutSel_b, 44, {&MODULE_P23, 3}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_7_TOUT45_P23_4 = {IfxGtmTom_1, IfxGtmTom_Ch_7, IfxGtm_ToutSel_b, 45, {&MODULE_P23, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_7_TOUT64_P20_8 = {IfxGtmTom_1, IfxGtmTom_Ch_7, IfxGtm_ToutSel_a, 64, {&MODULE_P20, 8}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_7_TOUT75_P15_4 = {IfxGtmTom_1, IfxGtmTom_Ch_7, IfxGtm_ToutSel_a, 75, {&MODULE_P15, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_7_TOUT84_P14_4 = {IfxGtmTom_1, IfxGtmTom_Ch_7, IfxGtm_ToutSel_b, 84, {&MODULE_P14, 4}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_7_TOUT93_P13_2 = {IfxGtmTom_1, IfxGtmTom_Ch_7, IfxGtm_ToutSel_b, 93, {&MODULE_P13, 2}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_8_TOUT0_P02_0 = {IfxGtmTom_1, IfxGtmTom_Ch_8, IfxGtm_ToutSel_b, 0, {&MODULE_P02, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_8_TOUT109_P10_7 = {IfxGtmTom_1, IfxGtmTom_Ch_8, IfxGtm_ToutSel_b, 109, {&MODULE_P10, 7}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_8_TOUT51_P21_0 = {IfxGtmTom_1, IfxGtmTom_Ch_8, IfxGtm_ToutSel_b, 51, {&MODULE_P21, 0}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_9_TOUT103_P10_1 = {IfxGtmTom_1, IfxGtmTom_Ch_9, IfxGtm_ToutSel_b, 103, {&MODULE_P10, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_9_TOUT1_P02_1 = {IfxGtmTom_1, IfxGtmTom_Ch_9, IfxGtm_ToutSel_b, 1, {&MODULE_P02, 1}, IfxPort_OutputIdx_alt1};
IfxGtmTom_ToutMap  IfxGtm_TOM1_9_TOUT52_P21_1 = {IfxGtmTom_1, IfxGtmTom_Ch_9, IfxGtm_ToutSel_b, 52, {&MODULE_P21, 1}, IfxPort_OutputIdx_alt1};
IfxGtm_Clk_Out     IfxGtm_CLK0_P23_1_OUT = {&MODULE_GTM, {&MODULE_P23, 1}, IfxPort_OutputIdx_alt4};
//IfxGtm_Clk_Out     IfxGtm_CLK1_P32_4_OUT = {&MODULE_GTM, {&MODULE_P32, 4}, IfxPort_OutputIdx_alt4};
IfxGtm_Clk_Out     IfxGtm_CLK2_P11_12_OUT = {&MODULE_GTM, {&MODULE_P11, 12}, IfxPort_OutputIdx_alt3};

#include "_Reg/IfxGtm_bf.h"

void IfxGtm_PinMap_setTimTin(IfxGtmTim_TinMap *config, IfxPort_InputMode inputMode)
{
    uint32 shift = config->channel * 4;

    __ldmst_c(&(MODULE_GTM.INOUTSEL.TIM[config->tim].INSEL.U), (0xFU << shift), ((uint32)config->select) << shift);

    if (inputMode != IfxPort_InputMode_undefined)
    {
        IfxPort_setPinModeInput(config->pin.port, config->pin.pinIndex, inputMode);
    }
}


void IfxGtm_PinMap_setAtomTout(IfxGtmAtom_ToutMap *config, IfxPort_OutputMode outputMode, IfxPort_PadDriver padDriver)
{
    uint32 outselReg = (config->toutn >> 4);
    uint32 shift     = (config->toutn & 0xFU) * 2;
    uint32 outsel    = (uint32)config->toutSel << shift;
    uint32 mask      = 0x3U << shift;

    __ldmst_c(&(MODULE_GTM.INOUTSEL.T.OUTSEL[outselReg].U), mask, outsel);
    IfxPort_setPinModeOutput(config->pin.port, config->pin.pinIndex, outputMode, config->select);
    IfxPort_setPinPadDriver(config->pin.port, config->pin.pinIndex, padDriver);
}


void IfxGtm_PinMap_setTomTout(IfxGtmTom_ToutMap *config, IfxPort_OutputMode outputMode, IfxPort_PadDriver padDriver)
{
    uint32 outselReg = (config->toutn >> 4); /* Teile durch 16 */
    uint32 shift     = (config->toutn & 0xFU) * 2;
    uint32 outsel    = (uint32)config->toutSel << shift;
    uint32 mask      = 0x3U << shift;

    /* setzt TOUTSEL mit der entsprechenden TOUTNR */
    __ldmst_c(&(MODULE_GTM.INOUTSEL.T.OUTSEL[outselReg].U), mask, outsel);
    /* setzt Port00 Input/output Control Register auf Push-Pull mode */
    IfxPort_setPinModeOutput(config->pin.port, config->pin.pinIndex, outputMode, config->select);
    /* setzt Pad Driver Mode 0 Register auf Speed Grade 2 */
    IfxPort_setPinPadDriver(config->pin.port, config->pin.pinIndex, padDriver);
}
