/*
 * Dma_Daisy_Chain.h

 *
 *  Created on: 01.12.2015
 *      Author: uacqk
 */

#ifndef DMA_DAISY_CHAIN_H_
#define DMA_DAISY_CHAIN_H_

#include "Dma/Std/IfxDma.h"
#include "Dma/Dma/IfxDma_Dma.h"
#include "Cpu/Std/Platform_Types.h"

#define NR_OF_DMA_CHANNELS 3

typedef struct {
	IfxDma_Dma_Channel dma_Ch_handle[NR_OF_DMA_CHANNELS];
	IfxDma_Dma_ChannelConfig tx_channel_config[NR_OF_DMA_CHANNELS];
	uint32 source_addr[NR_OF_DMA_CHANNELS] ;
	uint32 dest_addr[NR_OF_DMA_CHANNELS] ;
	uint32 last_element_prio;
}Dma_Daisy_Chain_config;

void dma_daisy_chain_halt_and_reset(uint32* addr,IfxDma_Dma_Channel *channel, boolean enabled);
void dma_Daisy_chain_Transaction_test();
void dma_daisy_chain_set_source_addr(uint32* addr,IfxDma_ChannelId id) ;
void init_DMA_Daisy_Chain(Dma_Daisy_Chain_config* dma_Cfg);
void dma_daisy_chain_reset();
void dma_daisy_chain_halt_and_reset(uint32* addr,IfxDma_Dma_Channel *channel, boolean enabled);
void dma_daisy_chain_set_source_addr(uint32* addr,IfxDma_ChannelId id);

#endif /* 0_SRC_0_APPSW_TRICORE_APPLICATION_DMA_DAISY_CHAIN_H_ */
