/*
 * Spi_burst_interface.h
 *
 *  Created on: 26.11.2015
 *      Author: uacqk
 */

#ifndef SPI_BURST_INTERFACE_H_
#define SPI_BURST_INTERFACE_H_

#include "_PinMap/IfxQspi_PinMap.h"
#include "QspiDmA/SpiMaster/IfxQspi_SpiMaster.h"
#include "Dma/Std/IfxDma.h"
#include "Cpu/Std/Platform_Types.h"
#include "Spi_interface.h"


void initSpi_TLI4970_burst(spi_config* config);
void DMA_TEST_IfxQspi_SpiMaster_initModule(IfxQspi_SpiMaster *handle, const IfxQspi_SpiMaster_Config *config);
SpiIf_Status DMAIfxQspi_SpiMaster_exchange(IfxQspi_SpiMaster_Channel *chHandle,uint32* src, void *dest, SizeT count,uint32* test_addr);
void Qspi_dma_write_burst(IfxQspi_SpiMaster_Channel *chHandle, uint32 *test_addr, uint32 * src_addr) ;



static SpiIf_Status DMAIfxQspi_SpiMaster_lock(IfxQspi_SpiMaster *handle);

void Qspi_dma_channelTransaction_test(IfxQspi_SpiMaster_Channel *chHandle);








#endif /* 0_SRC_0_APPSW_TRICORE_APPLICATION_SPI_BURST_INTERFACE_H_ */
