/**
 * \file Ifx_TypesDcc.h
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 * $Revision: $1415.1
 * $Date: $2013-07-08 16:48:23 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 */
#ifndef IFX_TYPESDDC_H_
#define IFX_TYPESDDC_H_
/******************************************************************************/
#define FRACT_MAX 0x7fffffff

typedef long               fract;
typedef short              sfract;
typedef long long          laccum;
typedef long               __packb;   //MSMRK should be struct of four chars
typedef unsigned long      __upackb;  //MSMRK should be struct of four unsigned chars
typedef long               __packhw;  //MSMRK should be struct of two shorts
typedef unsigned long      __upackhw; //MSMRK should be struct of two unsigned shorts

typedef unsigned long long circ_t;
/******************************************************************************/
#define __interrupt(intno)

/******************************************************************************/
#endif /* IFX_TYPESDDC_H_ */
