/**
 * \file IfxGtm_cfg.h
 * \brief GTM on-chip implementation data.
 *
 *
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 * $Revision: $1258.3
 * $Date: $2013-08-02 19:30:35 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 *
 */
#include "IfxCpu_cfg.h"

const IfxModule_IndexMap IfxCpu_cfg_indexMap[IFXCPU_COUNT] =
{
    {&MODULE_CPU0, (uint32)IfxCpu_ResourceCpu_0},
    {&MODULE_CPU1, (uint32)IfxCpu_ResourceCpu_1},
};
