/**
 * \file IfxGpt12_cfg.h
 * \brief GPT12 on-chip implementation data.
 * \ingroup IfxLld_Gpt12
 *
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 * $Revision: $1534.5
 * $Date: $2013-06-26 11:22:16 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 */

#ifndef IFXGPT12_CFG_H_
#define IFXGPT12_CFG_H_

#include "_Reg/IfxGpt12_reg.h"


#if 1
#define IFXGPT12(gpt12)     (MODULE_GPT120)
#else
#define IFXGPT12(gpt12)     (*gpt12)
#endif
#endif /* IFXGPT12_CFG_H_ */
