/**
 * \file IfxStm_cfg.c
 * \brief STM on-chip implementation data.
 *
 *
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 * $Revision: $1345.2
 * $Date: $2013-06-19 09:09:54 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 */

/******************************************************************************/
/*                           Include                                          */
/******************************************************************************/
#include "IfxStm_cfg.h"
/******************************************************************************/
/*                       Exported Constants                                   */
/******************************************************************************/
const IfxModule_IndexMap IfxStm_cfg_indexMap[IFXSTM_COUNT] = {
    {&MODULE_STM0, IfxStm_ResourceStm_0},
    {&MODULE_STM1, IfxStm_ResourceStm_1},
};
