/**
 * \file IfxEbcu_bf.h
 * \brief
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 *
 * $Revision: $1527.1
 * $Date: $2013-06-10 08:49:43 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 * \defgroup IfxLld_ebcu_bitfields_mask Bitfields mask and offset
 * \ingroup IfxLld_ebcu
 * 
 */
#ifndef IFXEBCU_BF_H
#define IFXEBCU_BF_H
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_ebcu_bitfields_mask
 * \{  */

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN0 */
#define IFX_EBCU_ACCEN0_EN0_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN0 */
#define IFX_EBCU_ACCEN0_EN0_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN0 */
#define IFX_EBCU_ACCEN0_EN0_OFF (0)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN10 */
#define IFX_EBCU_ACCEN0_EN10_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN10 */
#define IFX_EBCU_ACCEN0_EN10_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN10 */
#define IFX_EBCU_ACCEN0_EN10_OFF (10)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN11 */
#define IFX_EBCU_ACCEN0_EN11_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN11 */
#define IFX_EBCU_ACCEN0_EN11_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN11 */
#define IFX_EBCU_ACCEN0_EN11_OFF (11)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN12 */
#define IFX_EBCU_ACCEN0_EN12_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN12 */
#define IFX_EBCU_ACCEN0_EN12_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN12 */
#define IFX_EBCU_ACCEN0_EN12_OFF (12)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN13 */
#define IFX_EBCU_ACCEN0_EN13_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN13 */
#define IFX_EBCU_ACCEN0_EN13_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN13 */
#define IFX_EBCU_ACCEN0_EN13_OFF (13)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN14 */
#define IFX_EBCU_ACCEN0_EN14_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN14 */
#define IFX_EBCU_ACCEN0_EN14_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN14 */
#define IFX_EBCU_ACCEN0_EN14_OFF (14)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN15 */
#define IFX_EBCU_ACCEN0_EN15_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN15 */
#define IFX_EBCU_ACCEN0_EN15_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN15 */
#define IFX_EBCU_ACCEN0_EN15_OFF (15)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN16 */
#define IFX_EBCU_ACCEN0_EN16_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN16 */
#define IFX_EBCU_ACCEN0_EN16_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN16 */
#define IFX_EBCU_ACCEN0_EN16_OFF (16)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN17 */
#define IFX_EBCU_ACCEN0_EN17_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN17 */
#define IFX_EBCU_ACCEN0_EN17_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN17 */
#define IFX_EBCU_ACCEN0_EN17_OFF (17)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN18 */
#define IFX_EBCU_ACCEN0_EN18_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN18 */
#define IFX_EBCU_ACCEN0_EN18_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN18 */
#define IFX_EBCU_ACCEN0_EN18_OFF (18)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN19 */
#define IFX_EBCU_ACCEN0_EN19_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN19 */
#define IFX_EBCU_ACCEN0_EN19_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN19 */
#define IFX_EBCU_ACCEN0_EN19_OFF (19)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN1 */
#define IFX_EBCU_ACCEN0_EN1_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN1 */
#define IFX_EBCU_ACCEN0_EN1_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN1 */
#define IFX_EBCU_ACCEN0_EN1_OFF (1)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN20 */
#define IFX_EBCU_ACCEN0_EN20_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN20 */
#define IFX_EBCU_ACCEN0_EN20_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN20 */
#define IFX_EBCU_ACCEN0_EN20_OFF (20)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN21 */
#define IFX_EBCU_ACCEN0_EN21_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN21 */
#define IFX_EBCU_ACCEN0_EN21_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN21 */
#define IFX_EBCU_ACCEN0_EN21_OFF (21)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN22 */
#define IFX_EBCU_ACCEN0_EN22_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN22 */
#define IFX_EBCU_ACCEN0_EN22_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN22 */
#define IFX_EBCU_ACCEN0_EN22_OFF (22)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN23 */
#define IFX_EBCU_ACCEN0_EN23_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN23 */
#define IFX_EBCU_ACCEN0_EN23_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN23 */
#define IFX_EBCU_ACCEN0_EN23_OFF (23)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN24 */
#define IFX_EBCU_ACCEN0_EN24_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN24 */
#define IFX_EBCU_ACCEN0_EN24_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN24 */
#define IFX_EBCU_ACCEN0_EN24_OFF (24)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN25 */
#define IFX_EBCU_ACCEN0_EN25_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN25 */
#define IFX_EBCU_ACCEN0_EN25_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN25 */
#define IFX_EBCU_ACCEN0_EN25_OFF (25)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN26 */
#define IFX_EBCU_ACCEN0_EN26_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN26 */
#define IFX_EBCU_ACCEN0_EN26_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN26 */
#define IFX_EBCU_ACCEN0_EN26_OFF (26)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN27 */
#define IFX_EBCU_ACCEN0_EN27_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN27 */
#define IFX_EBCU_ACCEN0_EN27_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN27 */
#define IFX_EBCU_ACCEN0_EN27_OFF (27)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN28 */
#define IFX_EBCU_ACCEN0_EN28_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN28 */
#define IFX_EBCU_ACCEN0_EN28_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN28 */
#define IFX_EBCU_ACCEN0_EN28_OFF (28)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN29 */
#define IFX_EBCU_ACCEN0_EN29_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN29 */
#define IFX_EBCU_ACCEN0_EN29_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN29 */
#define IFX_EBCU_ACCEN0_EN29_OFF (29)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN2 */
#define IFX_EBCU_ACCEN0_EN2_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN2 */
#define IFX_EBCU_ACCEN0_EN2_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN2 */
#define IFX_EBCU_ACCEN0_EN2_OFF (2)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN30 */
#define IFX_EBCU_ACCEN0_EN30_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN30 */
#define IFX_EBCU_ACCEN0_EN30_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN30 */
#define IFX_EBCU_ACCEN0_EN30_OFF (30)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN31 */
#define IFX_EBCU_ACCEN0_EN31_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN31 */
#define IFX_EBCU_ACCEN0_EN31_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN31 */
#define IFX_EBCU_ACCEN0_EN31_OFF (31)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN3 */
#define IFX_EBCU_ACCEN0_EN3_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN3 */
#define IFX_EBCU_ACCEN0_EN3_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN3 */
#define IFX_EBCU_ACCEN0_EN3_OFF (3)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN4 */
#define IFX_EBCU_ACCEN0_EN4_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN4 */
#define IFX_EBCU_ACCEN0_EN4_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN4 */
#define IFX_EBCU_ACCEN0_EN4_OFF (4)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN5 */
#define IFX_EBCU_ACCEN0_EN5_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN5 */
#define IFX_EBCU_ACCEN0_EN5_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN5 */
#define IFX_EBCU_ACCEN0_EN5_OFF (5)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN6 */
#define IFX_EBCU_ACCEN0_EN6_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN6 */
#define IFX_EBCU_ACCEN0_EN6_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN6 */
#define IFX_EBCU_ACCEN0_EN6_OFF (6)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN7 */
#define IFX_EBCU_ACCEN0_EN7_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN7 */
#define IFX_EBCU_ACCEN0_EN7_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN7 */
#define IFX_EBCU_ACCEN0_EN7_OFF (7)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN8 */
#define IFX_EBCU_ACCEN0_EN8_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN8 */
#define IFX_EBCU_ACCEN0_EN8_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN8 */
#define IFX_EBCU_ACCEN0_EN8_OFF (8)

/** \\brief  Length for Ifx_EBCU_ACCEN0_Bits.EN9 */
#define IFX_EBCU_ACCEN0_EN9_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN0_Bits.EN9 */
#define IFX_EBCU_ACCEN0_EN9_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN0_Bits.EN9 */
#define IFX_EBCU_ACCEN0_EN9_OFF (9)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN32 */
#define IFX_EBCU_ACCEN1_EN32_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN32 */
#define IFX_EBCU_ACCEN1_EN32_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN32 */
#define IFX_EBCU_ACCEN1_EN32_OFF (0)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN33 */
#define IFX_EBCU_ACCEN1_EN33_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN33 */
#define IFX_EBCU_ACCEN1_EN33_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN33 */
#define IFX_EBCU_ACCEN1_EN33_OFF (1)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN34 */
#define IFX_EBCU_ACCEN1_EN34_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN34 */
#define IFX_EBCU_ACCEN1_EN34_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN34 */
#define IFX_EBCU_ACCEN1_EN34_OFF (2)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN35 */
#define IFX_EBCU_ACCEN1_EN35_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN35 */
#define IFX_EBCU_ACCEN1_EN35_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN35 */
#define IFX_EBCU_ACCEN1_EN35_OFF (3)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN36 */
#define IFX_EBCU_ACCEN1_EN36_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN36 */
#define IFX_EBCU_ACCEN1_EN36_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN36 */
#define IFX_EBCU_ACCEN1_EN36_OFF (4)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN37 */
#define IFX_EBCU_ACCEN1_EN37_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN37 */
#define IFX_EBCU_ACCEN1_EN37_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN37 */
#define IFX_EBCU_ACCEN1_EN37_OFF (5)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN38 */
#define IFX_EBCU_ACCEN1_EN38_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN38 */
#define IFX_EBCU_ACCEN1_EN38_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN38 */
#define IFX_EBCU_ACCEN1_EN38_OFF (6)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN39 */
#define IFX_EBCU_ACCEN1_EN39_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN39 */
#define IFX_EBCU_ACCEN1_EN39_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN39 */
#define IFX_EBCU_ACCEN1_EN39_OFF (7)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN40 */
#define IFX_EBCU_ACCEN1_EN40_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN40 */
#define IFX_EBCU_ACCEN1_EN40_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN40 */
#define IFX_EBCU_ACCEN1_EN40_OFF (8)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN41 */
#define IFX_EBCU_ACCEN1_EN41_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN41 */
#define IFX_EBCU_ACCEN1_EN41_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN41 */
#define IFX_EBCU_ACCEN1_EN41_OFF (9)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN42 */
#define IFX_EBCU_ACCEN1_EN42_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN42 */
#define IFX_EBCU_ACCEN1_EN42_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN42 */
#define IFX_EBCU_ACCEN1_EN42_OFF (10)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN43 */
#define IFX_EBCU_ACCEN1_EN43_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN43 */
#define IFX_EBCU_ACCEN1_EN43_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN43 */
#define IFX_EBCU_ACCEN1_EN43_OFF (11)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN44 */
#define IFX_EBCU_ACCEN1_EN44_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN44 */
#define IFX_EBCU_ACCEN1_EN44_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN44 */
#define IFX_EBCU_ACCEN1_EN44_OFF (12)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN45 */
#define IFX_EBCU_ACCEN1_EN45_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN45 */
#define IFX_EBCU_ACCEN1_EN45_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN45 */
#define IFX_EBCU_ACCEN1_EN45_OFF (13)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN46 */
#define IFX_EBCU_ACCEN1_EN46_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN46 */
#define IFX_EBCU_ACCEN1_EN46_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN46 */
#define IFX_EBCU_ACCEN1_EN46_OFF (14)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN47 */
#define IFX_EBCU_ACCEN1_EN47_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN47 */
#define IFX_EBCU_ACCEN1_EN47_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN47 */
#define IFX_EBCU_ACCEN1_EN47_OFF (15)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN48 */
#define IFX_EBCU_ACCEN1_EN48_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN48 */
#define IFX_EBCU_ACCEN1_EN48_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN48 */
#define IFX_EBCU_ACCEN1_EN48_OFF (16)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN49 */
#define IFX_EBCU_ACCEN1_EN49_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN49 */
#define IFX_EBCU_ACCEN1_EN49_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN49 */
#define IFX_EBCU_ACCEN1_EN49_OFF (17)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN50 */
#define IFX_EBCU_ACCEN1_EN50_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN50 */
#define IFX_EBCU_ACCEN1_EN50_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN50 */
#define IFX_EBCU_ACCEN1_EN50_OFF (18)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN51 */
#define IFX_EBCU_ACCEN1_EN51_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN51 */
#define IFX_EBCU_ACCEN1_EN51_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN51 */
#define IFX_EBCU_ACCEN1_EN51_OFF (19)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN52 */
#define IFX_EBCU_ACCEN1_EN52_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN52 */
#define IFX_EBCU_ACCEN1_EN52_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN52 */
#define IFX_EBCU_ACCEN1_EN52_OFF (20)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN53 */
#define IFX_EBCU_ACCEN1_EN53_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN53 */
#define IFX_EBCU_ACCEN1_EN53_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN53 */
#define IFX_EBCU_ACCEN1_EN53_OFF (21)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN54 */
#define IFX_EBCU_ACCEN1_EN54_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN54 */
#define IFX_EBCU_ACCEN1_EN54_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN54 */
#define IFX_EBCU_ACCEN1_EN54_OFF (22)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN55 */
#define IFX_EBCU_ACCEN1_EN55_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN55 */
#define IFX_EBCU_ACCEN1_EN55_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN55 */
#define IFX_EBCU_ACCEN1_EN55_OFF (23)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN56 */
#define IFX_EBCU_ACCEN1_EN56_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN56 */
#define IFX_EBCU_ACCEN1_EN56_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN56 */
#define IFX_EBCU_ACCEN1_EN56_OFF (24)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN57 */
#define IFX_EBCU_ACCEN1_EN57_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN57 */
#define IFX_EBCU_ACCEN1_EN57_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN57 */
#define IFX_EBCU_ACCEN1_EN57_OFF (25)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN58 */
#define IFX_EBCU_ACCEN1_EN58_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN58 */
#define IFX_EBCU_ACCEN1_EN58_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN58 */
#define IFX_EBCU_ACCEN1_EN58_OFF (26)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN59 */
#define IFX_EBCU_ACCEN1_EN59_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN59 */
#define IFX_EBCU_ACCEN1_EN59_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN59 */
#define IFX_EBCU_ACCEN1_EN59_OFF (27)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN60 */
#define IFX_EBCU_ACCEN1_EN60_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN60 */
#define IFX_EBCU_ACCEN1_EN60_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN60 */
#define IFX_EBCU_ACCEN1_EN60_OFF (28)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN61 */
#define IFX_EBCU_ACCEN1_EN61_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN61 */
#define IFX_EBCU_ACCEN1_EN61_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN61 */
#define IFX_EBCU_ACCEN1_EN61_OFF (29)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN62 */
#define IFX_EBCU_ACCEN1_EN62_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN62 */
#define IFX_EBCU_ACCEN1_EN62_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN62 */
#define IFX_EBCU_ACCEN1_EN62_OFF (30)

/** \\brief  Length for Ifx_EBCU_ACCEN1_Bits.EN63 */
#define IFX_EBCU_ACCEN1_EN63_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ACCEN1_Bits.EN63 */
#define IFX_EBCU_ACCEN1_EN63_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ACCEN1_Bits.EN63 */
#define IFX_EBCU_ACCEN1_EN63_OFF (31)

/** \\brief  Length for Ifx_EBCU_CON_Bits.DBG */
#define IFX_EBCU_CON_DBG_LEN (1)

/** \\brief  Mask for Ifx_EBCU_CON_Bits.DBG */
#define IFX_EBCU_CON_DBG_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_CON_Bits.DBG */
#define IFX_EBCU_CON_DBG_OFF (16)

/** \\brief  Length for Ifx_EBCU_CON_Bits.SPC */
#define IFX_EBCU_CON_SPC_LEN (8)

/** \\brief  Mask for Ifx_EBCU_CON_Bits.SPC */
#define IFX_EBCU_CON_SPC_MSK (0xff)

/** \\brief  Offset for Ifx_EBCU_CON_Bits.SPC */
#define IFX_EBCU_CON_SPC_OFF (24)

/** \\brief  Length for Ifx_EBCU_CON_Bits.TOUT */
#define IFX_EBCU_CON_TOUT_LEN (16)

/** \\brief  Mask for Ifx_EBCU_CON_Bits.TOUT */
#define IFX_EBCU_CON_TOUT_MSK (0xffff)

/** \\brief  Offset for Ifx_EBCU_CON_Bits.TOUT */
#define IFX_EBCU_CON_TOUT_OFF (0)

/** \\brief  Length for Ifx_EBCU_EADD_Bits.FPIADR */
#define IFX_EBCU_EADD_FPIADR_LEN (32)

/** \\brief  Mask for Ifx_EBCU_EADD_Bits.FPIADR */
#define IFX_EBCU_EADD_FPIADR_MSK (0xffffffff)

/** \\brief  Offset for Ifx_EBCU_EADD_Bits.FPIADR */
#define IFX_EBCU_EADD_FPIADR_OFF (0)

/** \\brief  Length for Ifx_EBCU_ECON_Bits.ABT */
#define IFX_EBCU_ECON_ABT_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ECON_Bits.ABT */
#define IFX_EBCU_ECON_ABT_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ECON_Bits.ABT */
#define IFX_EBCU_ECON_ABT_OFF (16)

/** \\brief  Length for Ifx_EBCU_ECON_Bits.ACK */
#define IFX_EBCU_ECON_ACK_LEN (2)

/** \\brief  Mask for Ifx_EBCU_ECON_Bits.ACK */
#define IFX_EBCU_ECON_ACK_MSK (0x3)

/** \\brief  Offset for Ifx_EBCU_ECON_Bits.ACK */
#define IFX_EBCU_ECON_ACK_OFF (17)

/** \\brief  Length for Ifx_EBCU_ECON_Bits.ERRCNT */
#define IFX_EBCU_ECON_ERRCNT_LEN (14)

/** \\brief  Mask for Ifx_EBCU_ECON_Bits.ERRCNT */
#define IFX_EBCU_ECON_ERRCNT_MSK (0x3fff)

/** \\brief  Offset for Ifx_EBCU_ECON_Bits.ERRCNT */
#define IFX_EBCU_ECON_ERRCNT_OFF (0)

/** \\brief  Length for Ifx_EBCU_ECON_Bits.OPC */
#define IFX_EBCU_ECON_OPC_LEN (4)

/** \\brief  Mask for Ifx_EBCU_ECON_Bits.OPC */
#define IFX_EBCU_ECON_OPC_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_ECON_Bits.OPC */
#define IFX_EBCU_ECON_OPC_OFF (28)

/** \\brief  Length for Ifx_EBCU_ECON_Bits.RDN */
#define IFX_EBCU_ECON_RDN_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ECON_Bits.RDN */
#define IFX_EBCU_ECON_RDN_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ECON_Bits.RDN */
#define IFX_EBCU_ECON_RDN_OFF (21)

/** \\brief  Length for Ifx_EBCU_ECON_Bits.RDY */
#define IFX_EBCU_ECON_RDY_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ECON_Bits.RDY */
#define IFX_EBCU_ECON_RDY_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ECON_Bits.RDY */
#define IFX_EBCU_ECON_RDY_OFF (15)

/** \\brief  Length for Ifx_EBCU_ECON_Bits.SVM */
#define IFX_EBCU_ECON_SVM_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ECON_Bits.SVM */
#define IFX_EBCU_ECON_SVM_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ECON_Bits.SVM */
#define IFX_EBCU_ECON_SVM_OFF (19)

/** \\brief  Length for Ifx_EBCU_ECON_Bits.TAG */
#define IFX_EBCU_ECON_TAG_LEN (6)

/** \\brief  Mask for Ifx_EBCU_ECON_Bits.TAG */
#define IFX_EBCU_ECON_TAG_MSK (0x3f)

/** \\brief  Offset for Ifx_EBCU_ECON_Bits.TAG */
#define IFX_EBCU_ECON_TAG_OFF (22)

/** \\brief  Length for Ifx_EBCU_ECON_Bits.TOUT */
#define IFX_EBCU_ECON_TOUT_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ECON_Bits.TOUT */
#define IFX_EBCU_ECON_TOUT_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ECON_Bits.TOUT */
#define IFX_EBCU_ECON_TOUT_OFF (14)

/** \\brief  Length for Ifx_EBCU_ECON_Bits.WRN */
#define IFX_EBCU_ECON_WRN_LEN (1)

/** \\brief  Mask for Ifx_EBCU_ECON_Bits.WRN */
#define IFX_EBCU_ECON_WRN_MSK (0x1)

/** \\brief  Offset for Ifx_EBCU_ECON_Bits.WRN */
#define IFX_EBCU_ECON_WRN_OFF (20)

/** \\brief  Length for Ifx_EBCU_EDAT_Bits.FPIDAT */
#define IFX_EBCU_EDAT_FPIDAT_LEN (32)

/** \\brief  Mask for Ifx_EBCU_EDAT_Bits.FPIDAT */
#define IFX_EBCU_EDAT_FPIDAT_MSK (0xffffffff)

/** \\brief  Offset for Ifx_EBCU_EDAT_Bits.FPIDAT */
#define IFX_EBCU_EDAT_FPIDAT_OFF (0)

/** \\brief  Length for Ifx_EBCU_ID_Bits.MOD_NUMBER */
#define IFX_EBCU_ID_MOD_NUMBER_LEN (8)

/** \\brief  Mask for Ifx_EBCU_ID_Bits.MOD_NUMBER */
#define IFX_EBCU_ID_MOD_NUMBER_MSK (0xff)

/** \\brief  Offset for Ifx_EBCU_ID_Bits.MOD_NUMBER */
#define IFX_EBCU_ID_MOD_NUMBER_OFF (8)

/** \\brief  Length for Ifx_EBCU_ID_Bits.MOD_REV */
#define IFX_EBCU_ID_MOD_REV_LEN (8)

/** \\brief  Mask for Ifx_EBCU_ID_Bits.MOD_REV */
#define IFX_EBCU_ID_MOD_REV_MSK (0xff)

/** \\brief  Offset for Ifx_EBCU_ID_Bits.MOD_REV */
#define IFX_EBCU_ID_MOD_REV_OFF (0)

/** \\brief  Length for Ifx_EBCU_PRIOH_Bits.MASTER10 */
#define IFX_EBCU_PRIOH_MASTER10_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOH_Bits.MASTER10 */
#define IFX_EBCU_PRIOH_MASTER10_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOH_Bits.MASTER10 */
#define IFX_EBCU_PRIOH_MASTER10_OFF (8)

/** \\brief  Length for Ifx_EBCU_PRIOH_Bits.MASTER11 */
#define IFX_EBCU_PRIOH_MASTER11_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOH_Bits.MASTER11 */
#define IFX_EBCU_PRIOH_MASTER11_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOH_Bits.MASTER11 */
#define IFX_EBCU_PRIOH_MASTER11_OFF (12)

/** \\brief  Length for Ifx_EBCU_PRIOH_Bits.MASTER12 */
#define IFX_EBCU_PRIOH_MASTER12_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOH_Bits.MASTER12 */
#define IFX_EBCU_PRIOH_MASTER12_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOH_Bits.MASTER12 */
#define IFX_EBCU_PRIOH_MASTER12_OFF (16)

/** \\brief  Length for Ifx_EBCU_PRIOH_Bits.MASTER13 */
#define IFX_EBCU_PRIOH_MASTER13_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOH_Bits.MASTER13 */
#define IFX_EBCU_PRIOH_MASTER13_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOH_Bits.MASTER13 */
#define IFX_EBCU_PRIOH_MASTER13_OFF (20)

/** \\brief  Length for Ifx_EBCU_PRIOH_Bits.MASTER14 */
#define IFX_EBCU_PRIOH_MASTER14_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOH_Bits.MASTER14 */
#define IFX_EBCU_PRIOH_MASTER14_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOH_Bits.MASTER14 */
#define IFX_EBCU_PRIOH_MASTER14_OFF (24)

/** \\brief  Length for Ifx_EBCU_PRIOH_Bits.MASTER15 */
#define IFX_EBCU_PRIOH_MASTER15_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOH_Bits.MASTER15 */
#define IFX_EBCU_PRIOH_MASTER15_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOH_Bits.MASTER15 */
#define IFX_EBCU_PRIOH_MASTER15_OFF (28)

/** \\brief  Length for Ifx_EBCU_PRIOH_Bits.MASTER8 */
#define IFX_EBCU_PRIOH_MASTER8_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOH_Bits.MASTER8 */
#define IFX_EBCU_PRIOH_MASTER8_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOH_Bits.MASTER8 */
#define IFX_EBCU_PRIOH_MASTER8_OFF (0)

/** \\brief  Length for Ifx_EBCU_PRIOH_Bits.MASTER9 */
#define IFX_EBCU_PRIOH_MASTER9_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOH_Bits.MASTER9 */
#define IFX_EBCU_PRIOH_MASTER9_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOH_Bits.MASTER9 */
#define IFX_EBCU_PRIOH_MASTER9_OFF (4)

/** \\brief  Length for Ifx_EBCU_PRIOL_Bits.MASTER0 */
#define IFX_EBCU_PRIOL_MASTER0_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOL_Bits.MASTER0 */
#define IFX_EBCU_PRIOL_MASTER0_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOL_Bits.MASTER0 */
#define IFX_EBCU_PRIOL_MASTER0_OFF (0)

/** \\brief  Length for Ifx_EBCU_PRIOL_Bits.MASTER1 */
#define IFX_EBCU_PRIOL_MASTER1_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOL_Bits.MASTER1 */
#define IFX_EBCU_PRIOL_MASTER1_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOL_Bits.MASTER1 */
#define IFX_EBCU_PRIOL_MASTER1_OFF (4)

/** \\brief  Length for Ifx_EBCU_PRIOL_Bits.MASTER2 */
#define IFX_EBCU_PRIOL_MASTER2_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOL_Bits.MASTER2 */
#define IFX_EBCU_PRIOL_MASTER2_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOL_Bits.MASTER2 */
#define IFX_EBCU_PRIOL_MASTER2_OFF (8)

/** \\brief  Length for Ifx_EBCU_PRIOL_Bits.MASTER3 */
#define IFX_EBCU_PRIOL_MASTER3_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOL_Bits.MASTER3 */
#define IFX_EBCU_PRIOL_MASTER3_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOL_Bits.MASTER3 */
#define IFX_EBCU_PRIOL_MASTER3_OFF (12)

/** \\brief  Length for Ifx_EBCU_PRIOL_Bits.MASTER4 */
#define IFX_EBCU_PRIOL_MASTER4_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOL_Bits.MASTER4 */
#define IFX_EBCU_PRIOL_MASTER4_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOL_Bits.MASTER4 */
#define IFX_EBCU_PRIOL_MASTER4_OFF (16)

/** \\brief  Length for Ifx_EBCU_PRIOL_Bits.MASTER5 */
#define IFX_EBCU_PRIOL_MASTER5_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOL_Bits.MASTER5 */
#define IFX_EBCU_PRIOL_MASTER5_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOL_Bits.MASTER5 */
#define IFX_EBCU_PRIOL_MASTER5_OFF (20)

/** \\brief  Length for Ifx_EBCU_PRIOL_Bits.MASTER6 */
#define IFX_EBCU_PRIOL_MASTER6_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOL_Bits.MASTER6 */
#define IFX_EBCU_PRIOL_MASTER6_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOL_Bits.MASTER6 */
#define IFX_EBCU_PRIOL_MASTER6_OFF (24)

/** \\brief  Length for Ifx_EBCU_PRIOL_Bits.MASTER7 */
#define IFX_EBCU_PRIOL_MASTER7_LEN (4)

/** \\brief  Mask for Ifx_EBCU_PRIOL_Bits.MASTER7 */
#define IFX_EBCU_PRIOL_MASTER7_MSK (0xf)

/** \\brief  Offset for Ifx_EBCU_PRIOL_Bits.MASTER7 */
#define IFX_EBCU_PRIOL_MASTER7_OFF (28)
/** \}  */
/******************************************************************************/
/******************************************************************************/
#endif /* IFXEBCU_BF_H */
